ad_page_contract {
    /library/add-web-ref.tcl

    @cvs-id $Id: add-web-ref.tcl,v 1.2 2005/03/01 00:01:14 jeffd Exp $
} {
    path_id:notnull,integer
} -properties {
    title:onevalue
    target:onevalue
    form_vars:onevalue
}

set return_url [get_path_return_url $path_id]
set user_id [auth::require_login]

# Determine to which object we are going to add the href,
# and if the current user is allowed to do this.

set values [get_path_values -action_only_p 0 $path_id]
set object_id [value_from_tuples $values object_id]
set sub_object_id [value_from_tuples $values sub_object_id]
set category_id [value_from_tuples $values category_id]
   
if ![km_check_object_id -check_edit_p 1 $object_id] { return }

set title "Add a Web/Email Reference"
set_the_usual_klib_context_bar $object_id $category_id
append_context_bar_data [list $return_url "Edit"] "Web/Email Reference"
set target "add-web-ref-2"
set form_vars [export_form_vars path_id]

ad_return_template
