ad_page_contract {
    /packages/library/www/admin/add-public-until.tcl

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    @author Jens Kordsmeier (jak@arsdigita.com)
    
    @cvs-id $Id: add-public-until.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    question_id
    object_type_id
} -properties {
}
csrf::authenticate

db_transaction {
    db_dml add_public_until_10 {
	update sn_object_types
	set public_until = :question_id
	where object_type_id= :object_type_id
    }

    db_dml add_public_until_20 {
	update sn_objects obj
	set public_until = nvl((select to_date(dbms_lob.substr(content,20,1),'YYYY-MM-DD') from sn_content where question_id=:question_id and object_id=obj.object_id) , null)
	where object_type_id=:object_type_id
    }
}

km_static -reset $object_type_id

ad_returnredirect "edit-question?[export_url_vars object_type_id question_id]"











