<master src="../master">
<property name="title">@title;noquote@</property>

<if @graphic@ not nil><img src="/library-files/@graphic@"  height="50" width="50"></if>

<if @tree_id@ eq "">

<p>Please select the category tree for question
<cite>@pretty_question@</cite> of object type
<cite>@pretty_type@</cite> below.

</if>
<else>

<p>Question <cite>@pretty_question@</cite> is associated with category
tree <a href="categories/tree-view?tree_id=@tree_id@"
target="_blank">@tree_name@</a>.<br> You may either <a
href="categories/tree-view?tree_id=@tree_id@" target="_blank">edit</a>
this category tree, or assign a different tree below.

</else>

<p>When you assign a new tree, you may remove existing object
categorizations for the newly assigned tree. This is useful when the
tree was used for a different question of this object type in the
past.

<form action="choose-category-2" method=post>
<csrf-token>
@form_vars;noquote@

<table>
<tr><td>Select a tree:</td>
<td>
<select name="tree_id" size=10>
<multiple name="category_trees">
<option value="@category_trees.tree_id@" <if @category_trees.tree_id@ eq @tree_id@>selected</if>>@category_trees.tree_name@
</multiple>
</select>
<br>

<input type=checkbox name=reset_categorization> Remove existing object-category mappings for newly assigned tree.
</td>
</tr>

<tr><td align=center colspan=2><input type=submit name=submit value="Proceed"></td></tr>
</table>
</form>

<p><a href="categories/" target="_blank">Administer Categories</a>
