ad_page_contract {
    /packages/library/www/admin/choose-object-type.tcl

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    @author Jens Kordsmeier (jak@arsdigita.com)
    
    @cvs-id $Id: choose-object-type.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    question_id
    object_type_id
    abstract_data_type
} -properties {
    title:onevalue
    abstract_data_type:onevalue
    pretty_type:onevalue
    submit_button_html:onevalue
    object_types:multirow
}

# Object type info for page display
set pretty_type [km_static object_type_pretty_name $object_type_id]
set graphic [km_static object_type_graphic $object_type_id]

template::multirow create object_types object_input_type
set checked "checked"
foreach type [km_get_all_object_types -browsable_only_p 0] {
    template::multirow append object_types "<input type=radio name=linked_object_type_id value=\"[fst $type]\" $checked> [snd $type]<br>"
    set checked ""
}


set title "Choose Object Type"
set_context_bar_data [list "view-questions?object_type_id=$object_type_id" "$pretty_type Questions"] $title
set form_vars [export_form_vars question_id object_type_id abstract_data_type]


