ad_page_contract {
    /packages/library/www/admin/

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    @author Jens Kordsmeier (jak@arsdigita.com)
    
    @cvs-id $Id: choose-presentation-type-2.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    question_id:integer,notnull
    presentation_type
    object_type_id:integer,notnull
    {tag_height:integer ""}
    {tag_width:integer ""}
    {year_from:integer "-5"}
    {year_to:integer "5"}
}
csrf::authenticate

if {[empty_string_p $tag_height]} { set tag_height [db_null] }
if {[empty_string_p $tag_width]} {set tag_width [db_null] }  
if {[empty_string_p $year_from]} { set year_from [db_null] }
if {[empty_string_p $year_to]} {set year_to [db_null] }  

db_dml choose_presentation_type_2 {
    update sn_questions set
    presentation_type = :presentation_type,
    tag_height = :tag_height,
    tag_width = :tag_width,
    year_from = :year_from,
    year_to = :year_to
    where question_id = :question_id
}

km_static -reset $question_id

ad_returnredirect "view-questions?[export_url_vars object_type_id]"
