ad_page_contract {
    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
} {
    object_type_id:integer,notnull
    copy_to_package_id:integer,notnull
} -properties {
    context_bar:onevalue
}
csrf::authenticate

ad_require_permission $copy_to_package_id "admin"
ad_require_permission $object_type_id "admin"

set this_package_id [ad_conn package_id]
set ip_address [ns_conn peeraddr]
set user_id [ad_get_user_id]

db_exec_plsql copy_object_types {
    begin
      object_type.copy_object_type (
        v_object_type_id => :object_type_id,
        v_target_context_id => :copy_to_package_id,
        v_creation_user => :user_id,
        v_creation_ip => :ip_address
        );
    end;
}

##km_static -reset

ad_returnredirect index
