<master src="../master">
<property name="title">@title;noquote@</property>

You have started the process of creating a new object type.  
<form action="create-object-type-2" method=post enctype=multipart/form-data>
<csrf-token>
@dc_export;noquote@
<table cellspacing=3 cellpadding=3 width=100%>
  <tr><th align=left>Enter a short name:</th></tr>
  <tr><td><include src="../km-input-tag" name="short_name"></td></tr>
  <tr><th align=left>Enter a presentation name:</th></tr>
  <tr><td><include src="../km-input-tag" name="pretty_name"></td></tr>
  <tr><th align=left>Enter a plural form of the presentation name:</th></tr>
   <tr><td><include src="../km-input-tag" name="pretty_plural"></td></tr>
  <tr><th align=left>Upload a graphic icon:</th></tr>
   <tr><td><input type=file name=graphic></td></tr>
  <tr><th align=left>Is it possible to browse objects of this object type?</th></tr>
  <tr><td><include src="../km-yes-no" default="1" name="browse_p"></td></tr> 
 <tr><th align=left >If yes, then enter the default value for the age filter (in days):</th></tr>
 <tr><td><include src="../km-input-tag" size="5" name="default_age_filter"></td></tr>
  <tr><th align=left>Should this object type be visible to all users?</th></tr>
  <tr><td><include src="../km-yes-no" default="1" name="public_p"></td></tr> 
  <tr><th align=left>Can the users create standalone objects of this type?</th></tr>
  <tr><td><include src="../km-yes-no" default="1" name="create_p"></td></tr> 
  <tr><th align=left bgcolor="#cccfff">Can objects of this type be put in the archive?</th></tr>
  <tr><td><include src="../km-yes-no" default="0" name="archive_p"></td></tr>
  <tr><th align=left bgcolor="#cccfff">Can users copy objects of this type?</th></tr>
  <tr><td><include src="../km-yes-no" default="0" name="copy_p"></td></tr>
  <tr><th align=left bgcolor="#cccfff">Sweeper that should be used on old objects:</th></tr>
  <tr><td><include src="../km-select-tag" default="none" name="sweeper" items="none {Outdated Objects (unchanged)} {Expired Objects (exceeded public_until date)}" values="none outdated expired"></td></tr>
  <tr><th align=left bgcolor="#cccfff">Action that the sweeper should perform on old objects:</th></tr>
  <tr><td><include src="../km-select-tag" default="private" name="sweeper_action" items="{Make Private} {Put into Archive}" values="private archive"></td></tr>
  <tr><th align=left bgcolor="#cccfff">Amount of days after the warning email that the action should be performed (0 for no warning email):</th></tr>
  <tr><td><include src="../km-input-tag" value="0" name="sweeper_warning_time" size=4></td></tr>
  <tr><th align=left bgcolor="#cccfff">Amount of days after which an unchanged object is regarded as outdated:</th></tr>
  <tr><td><include src="../km-input-tag" value="30" name="sweeper_outdated_time" size=4></td></tr>
</table>
<center>
<br><br>
<input type=submit name=submit value="Proceed">
</center>

</form>
