ad_page_contract {
    /packages/library/www/admin/delete-branch.tcl

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    @author Jens Kordsmeier (jak@arsdigita.com)
    
    @cvs-id $Id: delete-branch.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    branch_id
    question_id
    object_type_id
} -properties {
}
csrf::authenticate

db_transaction {

    db_dml delete_branch_10 "
    update sn_question_object_type_map
    set default_branch = null
    where object_type_id = $object_type_id 
    and question_id = $question_id
    and default_branch = $branch_id"

    db_dml delete_branch_20 "
    update sn_question_object_type_map 
    set branch_p = 'f', parent_question_id = [km_static km_dummy_object_id]
    where object_type_id = $object_type_id and question_id = $branch_id"

}

ad_returnredirect "view-branches?[export_url_vars question_id object_type_id]"
