ad_page_contract {
    /packages/library/www/admin/

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    
    @cvs-id $Id: delete-object-type-2.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    object_type_id:integer
    {soft ""}
    {hard ""}
    {cancel ""}
}
csrf::authenticate

if {![empty_string_p $cancel]} {
    ad_returnredirect ""
    return
}

set title "Delete an object type"
if {![empty_string_p $hard]} {
    if [catch {db_exec_plsql object_type_delete_2 "
    begin
    object_type.delete_object_type (
    v_object_type_id => :object_type_id
    );       
    end;"} errmsg] {
        
     ad_return_error "Database Error" "We were not able to delete the object type from the database, this is the error message: <pre>$errmsg</pre>"
        return
    }
}

if {![empty_string_p $soft]} {
    db_transaction {
        db_dml soft10 {update sn_object_types set public_p='f', deleted_p='t' where object_type_id=:object_type_id}
        db_dml soft20 {update acs_objects_description 
          set state='d' 
          where object_id in
            (select object_id 
            from sn_objects
            where object_type_id=:object_type_id)}
        db_dml soft30 {update sn_objects 
          set expiration_date=sysdate-1
          where object_type_id=:object_type_id}
    }
}

km_static -reset $object_type_id

ad_returnredirect index
return
