ad_page_contract {
    /packages/library/www/admin/edit-option.tcl

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    
    @cvs-id $Id: edit-option.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    question_id:integer
    object_type_id:integer
    {option_id:integer 0}
    {invisible_p 0}
} -properties {
    title:onevalue
    form_vars:onevalue
    input_tag:onevalue
}

set pretty_type [km_static object_type_pretty_name $object_type_id]
set graphic [km_static object_type_graphic $object_type_id]

if { $option_id } {
    set value [km_answer_option $option_id]
} else {
    set value ""
}

set title "Edit Option $value"

set form_vars [export_form_vars object_type_id option_id question_id]
set pretty_question [db_string view_options_10 "select pretty_name
  from sn_questions
  where question_id = :question_id"]
set view_options_title "Multiple Choice Options for $pretty_question"

set_context_bar_data [list "view-questions?object_type_id=$object_type_id&invisible_p=$invisible_p" "$pretty_type Questions"] [list "view-options?object_type_id=$object_type_id&question_id=$question_id" $view_options_title] $title
ad_return_template
