<master src="../master">
<property name="title">@title;noquote@</property>

<form action="edit-question-2" method=post>
<csrf-token>
@form_vars;noquote@
@dc_export;noquote@

<table cellspacing=3 cellpadding=3 width=100>
  <tr><th align=left>Enter a presentation name for this question:</th></tr>
  <tr><td><include src="../km-input-tag" value="@pretty_name@" name="pretty_name"></td></tr>
  <tr><th align=left>Enter this question as it should appear on input forms:</th></tr>
  <tr><td><include src="../km-textarea-tag" cols="80" rows="15" value="@entry_explanation;noquote@" name="entry_explanation"></td></tr>

<if @branch_p@ eq f>
<tr><th align=left>Is this question mandatory for the creation of an object of this type?</th></tr>
<tr><td><include src="../km-yes-no" default="@mandatory_p@" name="mandatory_p"></td></tr>
</if>


<if @state_output_p@ eq t>
  <tr><th align=left>Which state should this question and its answers be in?</th></tr>
  <tr><td><include src="../km-select-tag" default="@question_state@" values="@state_values@" size="1" name="question_state" items="@state_items@"></td></tr>
</if>


<if @appear_first_form_output_p@ eq t>
<tr><th align=left>Should this question appear on the first input form?</th></tr>
<tr><td><include src="../km-yes-no" default="@form_number@" name="first_form_p"></td></tr>
</if>

<if @order_output_p@ eq t>
<tr><th align=left>In which order should linked objects be displayed?</th></tr>
<tr><td><include src="../km-select-tag" default="@order_by@" values="@order_output_values@" size="1" name="order_by" items="@order_output_items@"></td></tr>
</if>


<if @refers_to_output_p@ eq t>
<tr><th align=left>Refers to which question?</th></tr>
<tr><td><include src="../km-select-tag" default="@references_question_id@" values="@refers_to_values@" size="1" name="refers_to" items="@refers_to_strings@"></td></tr>
</if>

<if @default_date_output_p@ eq t>
<tr><th align=left>Default value:</th></tr>
<tr><td><include src="../km-input-tag" value="@default_value@" name="default_value"><br>
  <if @date_correct_p@ eq t>
  Evaluation of current default value: <tt>@date_correct_output@</tt><br>
  </if>
  <else>
  <font color=red>Warning: The current default value is invalid and causes a SQL error!</font><br>
  </else>
(Please enter SQL code that can replace the x in <tt>select x from dual</tt>.<br>
 Examples: <tt>sysdate</tt> = the current date; <tt>sysdate+14</tt> = 2 weeks in the future;<br>
 <tt>trunc(sysdate,'month')</tt> = the start of the current month)
 </td></tr>
</if>

<if @edit_p@ eq t and @defaults_questions:rowcount@ gt 0>
<tr><th align=left>Copy Default Values from linked object:</th></tr>
<tr><td><select name=defaults_question_id>
<option value="null">--use static default value--
<multiple name=defaults_questions>
<option value="@defaults_questions.question_id@"<if @defaults_questions.question_id@ eq @defaults_question_id@> selected</if>>@defaults_questions.object_type@: @defaults_questions.question_name@
</multiple>
</select></td></tr>
</if>

<if @max_categories_p@ eq t>
<tr><th align=left>Maximum Number of selectable Categories:</th></tr>
<tr><td><include src="../km-input-tag" value="@max_categories@" name="max_categories" size=3></td></tr>
</if>

<if @browseable_p@ eq t>
<tr><th align=left>Should this category question be browseable?</th></tr>
<tr><td><include src="../km-yes-no" default="@browse_p@" name="browse_p"></td></tr>
</if>

<if @edit_p@ eq f>
<tr><th align=left>Select an abstract data type for this question:</th></tr>
<tr><td><include src="../km-select-tag" size="1" values="@abstract_data_types@" name=abstract_data_type items="@pretty_data_types@"></td></tr>

</if>

</table>

<center><input type=submit name=submit value="Proceed"></center>
</form>

<if @appear_first_form_output_p@ eq t>
Note -- linking questions are not allowed to be asked first.
</if>

<if @special_type_1_output_p@ eq t>
<p>You can make this question the
<a href="add-description?short_p=1&@url_vars;noquote@&@csrf_link@">short description</a>, 
the <a href="add-description?short_p=0&@url_vars;noquote@&@csrf_link@>">long description</a> or
the <a href="add-linked-question?@url_vars;noquote@"&@csrf_link@>link list</a>
for @pretty_plural@.
</if>

<if @special_type_2_output_p@ eq t>
<p>You can make this question the
<a href="add-description?short_p=1&@url_vars;noquote@&@csrf_link@">short description</a> 
or the <a href="add-description?short_p=0&@url_vars;noquote@&@csrf_link@">long description</a>
for @pretty_plural@.
</if>

<if @special_type_3_output_p@ eq t>
<p>You can make this question the
<if @is_public_until_p@ eq f><a href="add-public-until?@url_vars;noquote@&@csrf_link@">public visibility date</a><if @is_start_date_p@ eq f and @is_end_date_p@ eq f>, </if><else><if @is_start_date_p@ eq f or @is_end_date_p@ eq f> or the </if></else></if>
<if @is_start_date_p@ eq f><a href="add-start-date?@url_vars;noquote@"&@csrf_link@>object start date</a><if @is_end_date_p@ eq f> or the </if></if>
<if @is_end_date_p@ eq f><a href="add-end-date?@url_vars;noquote@"&@csrf_link@>object end date</a></if>
for @pretty_plural@.
</if>

<if @is_short_p@ eq t>
  <p>Note: This question is the object type's short description (or <cite>name</cite>).
</if>

<if @is_part_of_short_p@ in t>
  <p>Note: This question is part of the object type's short description (or <cite>name</cite>).
</if>

<if @question_id@ eq @long_id@>
  <p>Note: This question is the object type's long description (or <cite>overview</cite>).
</if>

<if @question_id@ eq @linked_question_id@>
  <p>Note: This question is the object type's link list."
</if>

<if @is_public_until_p@ eq t>
  <p>Note: This question is the object type's public until date.
</if>
<if @is_start_date_p@ eq t>
  <p>Note: This question is the object type's start date.
</if>
<if @is_end_date_p@ eq t>
  <p>Note: This question is the object type's end date.
</if>

<if @warning_output_p@ eq t>
<p>Note: Since other branch questions depend on this question, changing the question state
may make these questions inaccessible. Please check the 
<a href="view-branches?@url_vars;noquote@&@csrf_link@>branch tree</a>
before switching the question state.
</if>

