ad_page_contract {
} {
    root_node_id:integer,notnull
    object_id:integer,notnull
} -properties {
    one_tree:multirow
    page_title:onevalue
    form_vars
}

# CHECK PERMISSIONS AT SOME POINT

# CHECK IF THIS TREE IS REALLY ASSIGNED TO THIS OBJECT


set page_title "Set the category feedback options"

set_context_bar_data $page_title

set form_vars [export_form_vars root_node_id object_id]

array set node [site_node_closest_ancestor_site_node "acs-subsite"] 
set subcommunity_id $node(package_id) 

template::multirow create one_tree node_id category_id node_name email rating_p scale level 

db_foreach  get_one_tree "
    select tree.* , sccs.email, sccs.rating_p, sccs.scale from
    (select  /*+INDEX(sw_category_dim sw_category_dim_long_name) */ category.long_name(object_id)   as node_name,
    node_id,  parent_node_id, object_id as category_id, level
    from sw_category_dim 
    start with node_id = :root_node_id
    connect by prior node_id = parent_node_id) tree, sn_comments_category_settings sccs
    where sccs.category_id(+)=tree.category_id
    and   sccs.object_id(+)=:object_id " {


	template::multirow append one_tree $node_id $category_id  $node_name  $email $rating_p $scale [gt_repeat_string "&nbsp;" [expr $level * 5]]  


    }


ad_return_template

