# /www/admin/library/map-composite-questions.tcl
#
# $Id: map-composite-questions.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $

ad_page_contract {

} {
    composite_id 
    object_type_id
    question_id:integer,notnull,multiple,trim
}
csrf::authenticate
set child_ids [km_get_child_questions $composite_id]
set dep_ids [minus $child_ids $question_id]

# If even one of the children questions is mandatory, then the composite is too.
set mandatory_p [km_mandatory_child_p -child_ids $child_ids] 

if { $mandatory_p } {
    db_dml map_composite_questions_10 "
	update sn_question_object_type_map 
	set mandatory_p='t' 
	where question_id=$composite_id and object_type_id=$object_type_id"
}

foreach one_question_id $question_id {
    db_dml map_composite_questions_20 "
	update sn_question_object_type_map 
	set parent_question_id = $composite_id, branch_p='f'
        where question_id=$one_question_id and object_type_id=$object_type_id"
   
}

if ![null_p $dep_ids] {
    db_dml map_composite_questions_30 "
	update sn_question_object_type_map 
	set parent_question_id = [km_static km_dummy_object_id]
	where object_type_id = $object_type_id and question_id in ([join $dep_ids ","])"
}

set question_id $composite_id
ad_returnredirect "view-composite?[export_url_vars object_type_id question_id]"
