# /www/admin/library/reindex.tcl
#
# Rebuild the Intermedia index for a given object type.
#
# $Id: reindex.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $

ad_page_variables {
    object_type_id
}
csrf::authenticate

# FIXME! There is no datastore column in sn_objects
#db_dml reindex_10 "update sn_objects  set datastore = 'a' where object_type_id = :object_type_id"

# o.k. fixed you. Now acs_objects_description is updated instead of sn_objects
db_dml reindex_sn_objects "
update (
    select /*+ ORDERED USE_NL(acs_objects_description) INDEX( acs_objects_description acs_objects_desc_pk ) */
           aod.datastore aod_ds
      from acs_objects_description aod, sn_objects so
     where aod.object_id = so.object_id
       and so.object_type_id = :object_type_id 
       )
   set aod_ds = 'a'
"

ad_returnredirect "view-questions?[export_url_vars object_type_id]"
