ad_page_contract {
    Set combined short name
} {    
    object_type_id:naturalnum,notnull
}

# Object type info for page display
set pretty_type [km_static object_type_pretty_name $object_type_id]
set graphic [km_static object_type_graphic $object_type_id]

set question_items [km_get_questions -question_states active -root_node_p 0 -all_properties_p 1 -object_type_id $object_type_id]
set key [fst $question_items]
set question_items [tail $question_items]

set short_description [km_static object_type_short_description $object_type_id]

set input_count 0
set pretty_name_short_description ""

template::multirow create questions question_id pretty_name

foreach question $question_items {
    set question_id [lindex $question [lsearch $key "question_id"]]
    set pretty_name [lindex $question [lsearch $key "pretty_name"]]
    set abstract_data_type [lindex $question [lsearch $key "abstract_data_type"]]

    if {[string equal $abstract_data_type text]} {
        template::multirow append questions $question_id $pretty_name
    }
    if { $question_id == $short_description } { 
        set pretty_name_short_description "$pretty_name is currently the short name." 
    }
}

set form_vars [export_form_vars object_type_id]
set title "Set combined short name for $pretty_type"
set_context_bar_data [list "view-questions?object_type_id=$object_type_id" "$pretty_type Questions" ] $title
ad_return_template
