if ![info exists presentation_type] {
    set presentation_type "custom"
}


if ![empty_date_p $start] {
    util_unlist [km_break_date $start] start_year start_month start_day
} elseif ![empty_string_p $start_offset] {
    db_1row get_start_date "select sysdate+$start_offset as start_date from dual"
    util_unlist [km_break_date $start_date] start_year start_month start_day
} else {
    set start_year ""
    set start_month ""
    set start_day ""
}

if ![empty_date_p $end] {
    util_unlist [km_break_date $end] end_year end_month end_day
} elseif ![empty_string_p $end_offset] {
    db_1row get_end_date "select sysdate+$end_offset as end_date from dual"
    util_unlist [km_break_date $end_date] end_year end_month end_day
} else {
    set end_year ""
    set end_month ""
    set end_day ""
}
