# Returns any number of radio boxes with one optionally checked.

if {![info exists default]} {
    set default ""
}

if {![info exists values]} {
    set values {}
}

if {![info exists empty_tag]} {
    set empty_tag ""
}

if {![info exists mandatory_p]} {
    set mandatory_p f
}

set counter 0
template::multirow create tags name item_value checked_string item 

if {![empty_string_p $empty_tag] && ($mandatory_p == "f")} {
    if {[empty_string_p $default]} {
	set checked_string "checked"
    } else {
	set checked_string ""
    }
    template::multirow append tags $name "" $checked_string $empty_tag
}

foreach item $items {
    if {[string equal $item $default]} {
        set checked_string "checked"
    } else {
        set checked_string ""
    }
    
    set item_value [lindex $values $counter]
    if {[empty_string_p $item_value]} {
        set item_value $item
    } elseif {[string equal $item_value $default]} {
        set checked_string "checked"
    }

    template::multirow append tags $name $item_value $checked_string $item 
    incr counter
}
