# Displays the list of user-objects links when existing_links is supplied as a
# list of lists in the order: user_id full_name

if {![info exists edit_p]} {
    set edit_p 0 
}

if {![info exists object_id]} {
    set object_id 0
}

if {![info exists category_id]} {
    set category_id ""
}

if {![info exists question_id]} {
    set question_id 0
}

# existing_links 

set return_url "[ns_conn url]?[ns_conn query]"
set community_name [km_get_community_name]

template::multirow create user_links i user_id user_name url_vars link_id
set i 1
foreach link $existing_links {
    set user_id [fst $link]
    set user_name [snd $link]
    set link_id [lindex $link 4]
    set url_vars [export_url_vars link_id object_id category_id question_id]

    template::multirow append user_links $i $user_id $user_name $url_vars $link_id
    incr i
}
