ad_page_contract {
    link-reason-edit.tcl
    Allow the user the change the linking reason.
} {
    object_id
    link_id
    {category_id ""}
    {return_url ""}
}

if ![km_check_object_id -check_edit_p 1 $object_id] { return }

if [empty_string_p $return_url] {
    set return_url "object-link?[export_url_vars object_id category_id question_id]"
}

db_1row link_reason_edit_10 "
    select question_id, link_comment, html_p
    from sn_links l, sn_question_link_map map
    where l.link_id=:link_id and map.link_id=l.link_id"

set object_name [km_conn object_name]

set title "Edit Reason for Linking"

set_the_usual_klib_context_bar $object_id $category_id
append_context_bar_data $title
set form_vars [export_form_vars link_id return_url object_id question_id]
ad_return_template
