<master src="master">
<property name="title">@title;noquote@</property>

<if @objects:rowcount@ gt 0>

<form method="post" action="@target@">
<csrf-token>
@form_vars;noquote@

<if @parent_id@ not nil>
  Please select all @object_type_plural@ that should be copied to the
  @parent_type@ "<a href="object-view?object_id=@parent_id@&category_id=@category_id@">@parent_name@</a>"
  regarding "@question_name@":
</if><else>
  Please select a @object_type@ that should be copied:
</else>

<p>
Sort: [ <if @order@ eq "name"><b>name</b></if><else><a href="object-copy?@url_vars@&order=name">name</a></else> |
<if @order@ eq "name"><a href="object-copy?@url_vars@&order=date">modification date</a></if><else><b>modification date</b></else> ]

<p>
<table>
<tr><td></td>
  <if @short_p@ eq 1>
    <th>@short_description@&nbsp;</th>
  </if>
  <if @long_p@ eq 1>
    <th>@long_description@</th>
  </if>
</tr>
<multiple name=objects>
<tr>
<if @parent_id@ not nil>
  <td><input type=checkbox name=object_id_list value=@objects.object_id@>&nbsp;</td>
</if><else>
  <td><input type=radio name=copy_id value=@objects.object_id@>&nbsp;</td>
</else>
<if @short_p@ eq 1>
  <td><a href="object-view?object_id=@objects.object_id@">@objects.name@</a> <if @objects.public_p@ eq 0><font color=red>[Private]</font></if> <if @objects.archived_p@ eq 1><font color=red>[Archived]</font></if> <if @objects.review_p@ eq 1><font color=green>[In review]</font></if>&nbsp;</td>

</if>
<if @long_p@ eq 1>
  <td>@objects.overview;noquote@ <if @objects.public_p@ eq 0 and @short_p@ eq 0><font color=red>[Private]</font></if> <if @objects.archived_p@ eq 1 and @short_p@ eq 0><font color=red>[Archived]</font></if> <if @objects.review_p@ eq 1 and @short_p@ eq 0><font color=green>[In review]</font></if>&nbsp;</td>
</if>
</tr>
</multiple>
</table>

<input type=submit name="copy" value="Copy">
<input type=submit name="cancel" value="Cancel">
</form>

</if><else>
  You can't copy any @object_type_plural@ since you don't have write
  permission to any @object_type@.

  <form method="post" action="@target@">
  @form_vars;noquote@
  <input type=submit name="cancel" value="Cancel">
  </form>
</else>
