<master src="master">
<property name="title">@title;noquote@</property>

<if @error@ eq 0>
  <form method="post" action="object-publish-2">
  <csrf-token>
  @form_vars;noquote@
  @dc_export;noquote@
    
  <if @nephews:rowcount@ ne 0>
    <h3>Please select the knowledge objects that should be made public (at least one per question)</h3>
    <multiple name=nephews>
      <h4><a href="one-question-edit?object_id=@object_id@&category_id=@category_id@&question_id=@nephews.question_id@">@nephews.question_name@</a>&nbsp;(@nephews.object_type@)</h4>
      <ul>
      <group column=question_id>
        <li><input type=checkbox name=nephew_list value=@nephews.object_id@<if @in_review_p@ eq 1 and @admin_p@ eq 0> checked</if>><a href="object-view?object_id=@nephews.object_id@&category_id=@category_id@">@nephews.object_name@</a></li>
      </group>
      </ul>
    </multiple>
  </if>
    
  <if @nephew_p@ eq 0>
    <if @awarded_p@ eq 0 and @shares:rowcount@ gt 0>
      When this object is now made public, the current owner 
      <a href="../users/yp?user_id=@author_id@">@author_name@</a> will receive the following shares:
      <if @author_id@ eq @user_id@ or @admin_p@ eq 1>
        <ul><multiple name=shares>
          <li><a href="/incentives/user/shares?bank_id=@shares.bank_id@">@shares.bank_name@</a>: @shares.amount@ @shares.currency@ (New balance: @shares.balance@ @shares.currency@)</li>
        </multiple></ul>
      </if><else>
        <ul><multiple name=shares>
          <li>@shares.bank_name@: @shares.amount@ @shares.currency@</li>
        </multiple></ul>
      </else>
    </if><else>
      This object will be made public.
    </else>
    Do you wish to continue?
  </if><else>
    This object will be made public. Do you wish to continue?
  </else>
    
  <p><center><input type="submit" name="confirm" value="Confirm">&nbsp;&nbsp;
  &nbsp;&nbsp;<input type=submit name="cancel" value="Cancel"></center>
  </form>
</if><else>

  <if @data_missing_questions:rowcount@ eq 0>
    <if @error@ gt 0>
      <p>At least one mandatory question has not been answered. Please
      <a href="object-edit?object_id=@object_id@&category_id=@category_id@&mandatory_p=1">edit</a> the
      object and add any missing data.</p>
    </if><else>
      <p>Sorry. @title@.</p>
    </else>
  </if><else>
    <p>At least one mandatory question has not been answered for each linked
    knowledge object of the following questions:
    <p><ul>
    <multiple name=data_missing_questions>
      <li><a href="one-question-edit?object_id=@object_id@&category_id=@category_id@&question_id=@data_missing_questions.question_id@">@data_missing_questions.question_name@</a></li>
    </multiple>
    </ul>
  </else>

</else>
