<master src="master">
<property name="title">@title;noquote@</property>

<if @archived_ancestor_p@ ne 0>
This @object_type@ <a href="object-view?object_id=@object_id@&category_id=@category_id@">@object_name@</a>
can't be removed from the archive since the linked @ancestor_type@
<a href="object-view?object_id=@ancestor_id@&category_id=@category_id@">@ancestor_name@</a>
needs to be removed from the archive first.
</if>
<else>

<form method="post" action="object-unarchive-2">
<csrf-token>
@form_vars;noquote@
@dc_export;noquote@

<if @nephew_p@ eq 1 and @public_p@ eq 1>
  <p>The @uncle_object_type@ "<a href="object-view?object_id=@uncle_id@&category_id=@category_id@">@uncle_name@</a>"
   and all the linked @descendent_object_types@ may need to be made private if this is the last public archived
   @object_type@ of "<a href="object-view?object_id=@uncle_id@&category_id=@category_id@">@uncle_name@</a>".
</if>
<if @parent_p@ gt 0 or @uncle_p@ gt 0>
  <if @descendants:rowcount@ gt 0>
    <p>Please select the objects that should be removed from the archive together
     with this @object_type@ '@object_name@':
     <multiple name=descendants>
       <p><b>@descendants.child_type_plural@:</b><p>
       <group column=child_type_id>
         <input type=checkbox name=object_id_list value=@descendants.child_id@> <a href="object-view?object_id=@descendants.child_id@&category_id=@category_id@">@descendants.child_name@</a><br>
       </group>
     </multiple>
  </if>
</if><else>
  <p>Are you sure you want to remove the @object_type@ '@object_name@' from
  the archive?
</else>

<p><center><input type="submit" name="confirm" value="Proceed">&nbsp;&nbsp;
&nbsp;&nbsp;<input type="submit" name="cancel" value="Cancel">&nbsp;&nbsp;
<if @copy_p@ ne 0>
  &nbsp;&nbsp;<input type="submit" name="copy" value="Copy"></center>
</if>
</form>

</else>
