# Returns an file tag with a value optional

if {![info exists category_id]} {
    set category_id ""
}

if {![info exists value]} {
    set value ""
}

if {![info exists size]} {
    set size 60
}

if {![info exists maxlength]} {
    set maxlength 255
}


set return_page [ns_conn url]
set parent_question_id [ns_set get [ns_conn form] question_id]

if { $question_id == $parent_question_id } { 
    set parent_question_id 0 
}

set admin_p [km_conn admin_p]

set url_vars [export_url_vars object_id category_id question_id parent_question_id return_page]

if ![empty_string_p $value] {

    regsub -all {[^-_.0-9a-zA-Z]+} $value "_" url_filename

    if { ![string equal $question_state "read-only"] || !$admin_p } {
        if { $object_id && ![km_is_required -object_id $object_id $question_id] } {
            set may_delete_p 1
        } else {
            set may_delete_p 0
        }
    }
}
