# Displays this field for a form field.
# Lists all of the existing links between users and this
# object. Shows the button that leads to user linking excursion.

if {![info exists edit_p]} {
    set edit_p 0
}

if {![info exists category_id]} {
    set category_id ""
}

if {![info exists hit_database_p]} {
    set hit_database_p 1
}

if {![info exists admin_p]} {
    set admin_p [km_conn admin_p]
}

set value "Link to a"

# If the first letter of the system name is a vowel,
# we have to use "an" instead of "a".
set first_letter [string index [string tolower [km_get_community_name]] 0]
if { [string first $first_letter "aeiou"] != -1 } {
    append value "n"
}
append value " [km_get_community_name] User"

if { $hit_database_p } {
    set existing_links [km8_get_to_links $object_id $question_id]
} else {
    set existing_links {}
}
