<master src="master">
<property name="title">@title;noquote@</property>
<property name="graphic">@graphic@</property>
<property name="graphic_width">@graphic_width@</property>

<form method=post action="resource-application-save">
<csrf-token>
@form_vars;noquote@
@dc_export;noquote@

<table width=100%>

<tr><td>&nbsp;</td><td><font size=2><b>Please fill out the following e-mail form to apply</b></font></td></tr>

<tr><td>&nbsp;</td><td><table cellpadding=1 cellspacing=1 width=75%>
<tr><th align=left>Your Application</th></tr>

<tr><th align=left>To:</th></tr>

<tr><td>@recipient@</td></tr>

<tr><th align=left>Subject:</th></tr>

<tr><td><input type=text size=80 name="subject" value="@subject@"></td></tr>

<tr><th align=left>My contact data</th></tr>

<tr><td><textarea name="contact_data" cols=80 rows=3>@contact_data@</textarea></td></tr>

<tr><th align=left>Nationality</th></tr>

<tr><td><input type=text size=80 name="nationality" value="@nationality@"></td></tr>

<tr><th align=left>Email of my Line Manager</th></tr>

<tr><td><input type=text size=80 name="manager_email" value="@manager_email@"></td></tr>

<tr><th align=left>My professional background can be described as follows:</th></tr>

<tr><th align=left>Role / Function</th></tr>
<tr><td><i>Please select your areas of expertise</i> - <font size=2>Hold 'ctrl' key and click to select multiple entries</font></td></tr>

<tr><td>@role_select;noquote@</td></tr>

<tr><td><i>If 'Other' please specify</i></td></tr>
<tr><td><input type=text size=80 name="role_other" value="@role_other@"></td></tr>

<tr><th align=left>Working Area</th></tr>
<tr><td><i>Please describe your professional tasks and responsibilities of the previous years</i></td></tr>

<tr><td><textarea name="working_area" cols=80 rows=3>@working_area@</textarea></td></tr>

<tr><th align=left>Language skills</th></tr>
<tr><td><i>Please indicate your capability</i></td></tr>

<tr><td>Native language:&nbsp;<input type=text size=60 name="first_language" value="@first_language@"></td></tr>

<tr><td>Second language:&nbsp;<select name="second_language_id">
<option value="">--Please select--
<if @languages:rowcount@ gt 0>
  <multiple name=languages>
    <option value="@languages.language_id@"<if @languages.language_id@ eq @second_language_id@> selected</if>>@languages.name;noquote@
  </multiple>
</if>
</select>&nbsp;&nbsp;
proficiency:&nbsp;<select name="second_language_prof_id">
<option value="">--Please select--
<if @language_proficiencies:rowcount@ gt 0>
  <multiple name=language_proficiencies>
    <option value="@language_proficiencies.prof_id@"<if @language_proficiencies.prof_id@ eq @second_language_prof_id@> selected</if>>@language_proficiencies.name;noquote@
  </multiple>
</if>
</select>&nbsp;&nbsp;</td></tr>

<tr><td>Third language:&nbsp;<select name="third_language_id">
<option value="">--Please select--
<if @languages:rowcount@ gt 0>
  <multiple name=languages>
    <option value="@languages.language_id@"<if @languages.language_id@ eq @third_language_id@> selected</if>>@languages.name;noquote@
  </multiple>
</if>
</select>&nbsp;&nbsp;
proficiency:&nbsp;<select name="third_language_prof_id">
<option value="">--Please select--
<if @language_proficiencies:rowcount@ gt 0>
  <multiple name=language_proficiencies>
    <option value="@language_proficiencies.prof_id@"<if @language_proficiencies.prof_id@ eq @third_language_prof_id@> selected</if>>@language_proficiencies.name;noquote@
  </multiple>
</if>
</select>&nbsp;&nbsp;</td></tr>

<tr><th align=left>Other language skills</th></tr>
<tr><td><i>Please also specify your level of fluency</i></td></tr>

<tr><td><input type=text size=80 name="other_language" value="@other_language@"></td></tr>

<tr><th align=left>Availability</th></tr>

<tr><td>I am available from:</td></tr>

<tr><td><include src="km-date-tag" day_value="@from_day@" month_value="@from_month@" year_value="@from_year@" presentation_type="custom" question_id="" name="from_date"></td></tr>

<tr><td>To:</td></tr>

<tr><td><include src="km-date-tag" day_value="@to_day@" month_value="@to_month@" year_value="@to_year@" presentation_type="custom" question_id="" name="to_date"></td></tr>

<tr><th align=left>Interests & Experiences</th></tr>
<tr><td><i>Please describe your strengths</i></td></tr>

<tr><td><textarea name="strengths" cols=80 rows=5>@strengths@</textarea></td></tr>

<tr><th align=left>Leadership</th></tr>
<tr><td><i>If leadership is required in the demand</i></td></tr>

<tr><td><textarea name="leadership" cols=80 rows=5>@leadership@</textarea></td></tr>

<tr><th align=left>Intercultural experience</th></tr>
<tr><td><i>If intercultural experience is required in the demand</i></td></tr>

<tr><td><textarea name="intercultural" cols=80 rows=5>@intercultural@</textarea></td></tr>

<tr><th align=left>Personal comments</th></tr>

<tr><td><textarea name="comments" cols=80 rows=5>@comments@</textarea></td></tr>

<tr><th align=left>Commercial conditions or contact person for this application</th></tr>
<tr><td><i>If you cannot give information about the commercial conditions, please give the email address of the responsible person.</i></td></tr>

<tr><td><textarea name="conditions" cols=80 rows=5>@conditions@</textarea></td></tr>

<tr><th align=left>Attachments</th></tr>
<tr><td><i>Feel free to attach more information to your application, e.g. your CV or relevant documents</i></td></tr>
<if @attachments:rowcount@ gt 0>
  <tr><td>
  <table><tr><th align=left>Size&nbsp;&nbsp;&nbsp;&nbsp;</th><th align=left>Filename&nbsp;&nbsp;&nbsp;&nbsp;</th></tr>
    <multiple name=attachments>
      <tr><td>@attachments.size@ Bytes&nbsp;&nbsp;</td><td>@attachments.filename@&nbsp;&nbsp;</td><td><input type=submit name="delete@attachments.attachment_id@" value="Remove"></td></tr>
    </multiple>
  </table>
  </td></tr>
</if>

<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;<input type=submit name="attach" value="Add an attachment"></td></tr>

<tr><th align=left><font color=red>&quot;I hereby confirm that I have consulted my direct line manager about the possible transfer. He agrees with this application.&quot;</font></th></tr>

<tr><td align=center><input type=submit name="cancel_form" value="Cancel changes">&nbsp;&nbsp;&nbsp;
<input type=submit name="save" value="Save to complete later">&nbsp;&nbsp;&nbsp;
<input type=submit name="send" value="Send Message">
<if @edit_p@ eq 1>
  &nbsp;&nbsp;&nbsp;<input type=submit name="dont_apply" value="Cancel Application completely">
</if>
</td></tr>

</table></td></tr>
</table>
</form>
