if { $first_row > 1 } {
    set new_first_row [max 1 [expr $first_row - 100]]
    set new_last_row [min $object_count [expr $new_first_row + 99]]

    set prev_url "$url_stub&first_row=$new_first_row&last_row=$new_last_row"
}

if { $last_row < $object_count } {
    set new_first_row [min $object_count [expr $first_row + 100]]
    set new_last_row [min $object_count [expr $new_first_row + 99]]

    set next_url "$url_stub&first_row=$new_first_row&last_row=$new_last_row"
}

template::multirow create result_pages url label selected_p

set cur_first_row 1
set cur_last_row [min $object_count 100]
set counter 1
while { $cur_first_row <= $cur_last_row && $cur_last_row <= $object_count } {
    if { $first_row >= $cur_first_row && $first_row <= $cur_last_row } {
	set selected_p 1
    } else {
	set selected_p 0
    }

    set url "$url_stub&first_row=$cur_first_row&last_row=$cur_last_row"

    template::multirow append result_pages $url $counter $selected_p

    incr counter
    set cur_first_row [expr $cur_first_row + 100]
    set cur_last_row [min $object_count [expr $cur_last_row + 100]]
}
