ad_page_contract {
    /www/library/send-page-ref-2.tcl

    Let the user edit the HREF email.

    @cvs-id $Id: send-page-ref-2.tcl,v 1.2 2005/03/01 00:01:15 jeffd Exp $
} {
    object_id:notnull
    page_url:notnull
    return_title:notnull
    user_id_from_search:notnull,integer
    {category_id ""}
} -properties {
    title:onevalue
    recipient_name:onevalue
    email:onevalue
    subject:onevalue
    sender_name:onevalue
    page_url:onevalue
    system_name:onevalue
}

set user_id [auth::require_login]

if {![db_0or1row send_page_ref_2_10 "
    select first_names || ' ' || last_name as recipient_name, email 
    from users where user_id=:user_id_from_search"]} {
    ad_return_complaint 1 "<li>The user with ID $user_id_from_search does not exist."
    return
}

# Remove the dash added in send-page-ref.
set page_url [string range $page_url 1 end]

set system_name [km_get_community_name]
set subject "Forwarded from the \"$system_name\" community: $return_title"
set title "Edit Mail"
if ![km_check_object_id $object_id] { return }
set_the_usual_klib_context_bar $object_id $category_id
append_context_bar_data [list "send-page-ref?[export_url_vars page_url return_title object_id category_id]" "Send to colleague"] $title

set form_vars [export_form_vars page_url user_id_from_search object_id]
set complete_page_url "[ad_url]$page_url"

# Get the sender's info, too
set sender_name [db_string send_page_ref_2_20 "
    select first_names || ' ' || last_name sender_name 
    from users where user_id=:user_id"]


ad_return_template
