ad_page_contract {
    /www/library/send-page-ref.tcl

    Let the user select the recipient to which he wants to send an HREF.

    @cvs-id $Id: send-page-ref.tcl,v 1.2 2005/03/01 00:01:15 jeffd Exp $
} {
    page_url:notnull
    return_title:notnull
    object_id:notnull
    {category_id ""}
} -properties {
    title:onevalue
    form_vars:onevalue
}

auth::require_login
if {![km_check_object_id $object_id]} { 
    return 
}


if ![km_check_object_id $object_id] { return }
set_the_usual_klib_context_bar $object_id $category_id
append_context_bar_data "Send to colleague"
set title "Send a Page to a Colleague"
set target "send-page-ref-2"
set passthrough {page_url return_title object_id category_id}
set context_bar [list "send-page-ref?[export_url_vars page_url return_title object_id category_id]" "Send to colleague"]
set show_myself_p f

# Because of Siemens' IMS application proxy, we have to make sure
# that page_url doesn't start with a "/".
set page_url "-$page_url"

set form_vars [export_form_vars show_myself_p target passthrough context_bar page_url return_title object_id category_id]

ad_return_template
