<?xml version="1.0"?>
<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="fix_creation">      
      <querytext>

update acs_objects
set    creation_user = :creation_user,
       creation_ip = :creation_ip,
       creation_date = sysdate,
       context_id = :package_id
where object_id = :mp3_id

      </querytext>
</fullquery>


<fullquery name="add_mp3">      
      <querytext>

begin
   :1 := mp3.new(
      mp3_id => :mp3_id,
      file_path => :client_filename,
      title => :mp3_title,
      $extra_vars
      creation_user => :creation_user,
      creation_ip => :creation_ip,
      creation_date => sysdate,
      context_id => :package_id
);
end;

      </querytext>
</fullquery>


<fullquery name="undelete_mp3">      
      <querytext>

update mp3_mp3s
set    title = :mp3_title,
       $extra_vars
       deleted_p = 'f'
where  mp3_id = :mp3_id

      </querytext>
</fullquery>
  
<fullquery name="update_mp3_info">      
      <querytext>


      </querytext>
</fullquery>


</queryset>
