<?xml version="1.0"?>
<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="fix_creation">      
      <querytext>

update acs_objects
set    creation_user = :creation_user,
       creation_ip = :creation_ip,
       creation_date = current_timestamp,
       context_id = :package_id
where object_id = :mp3_id

      </querytext>
</fullquery>


<fullquery name="add_mp3">      
      <querytext>

      select mp3__new(
	:mp3_id,
	:client_filename,
	:mp3_title

      );

      </querytext>
</fullquery>


<fullquery name="update_mp3_info">      
      <querytext>

update mp3_mp3s
set 	artist = :artist,
	bitrate = :bitrate,
	album = :album,
	tracknum = :tracknum,
	genre = :genre,
	year = :year,
	layer = :layer,
	copyright_p = :copyright_p,
	version = :version,
	mode_num = :mode_num,
	stereo_p = :stereo_p,
	frequency = :frequency,
	minutes = :minutes
where 	mp3_id = :mp3_id

      </querytext>
</fullquery>

<fullquery name="undelete_mp3">      
      <querytext>

update mp3_mp3s
set	file_path = :client_filename,
	title = :mp3_title,
	artist = :artist,
	bitrate = :bitrate,
	album = :album,
	tracknum = :tracknum,
	genre = :genre,
	year = :year,
	layer = :layer,
	copyright_p = :copyright_p,
	version = :version,
	mode_num = :mode_num,
	stereo_p = :stereo_p,
	frequency = :frequency,
	minutes = :minutes,
        deleted_p = 'f'
where  mp3_id = :mp3_id

      </querytext>
</fullquery>

</queryset>
