--
-- $Id: photo-album-lite-views.sql,v 1.1 2001/04/20 20:51:11 donb Exp $
--

create or replace view pl_v_photos
as
  select p.*,
         o.creation_date,
         o.creation_user,
         o.context_id,
         o.last_modified
  from pl_photos p,
       acs_objects o
  where p.photo_id = o.object_id
    and p.deleted_p = 'f';

create or replace view pl_v_folders
as
  select f.*,
         o.creation_date,
         o.creation_user,
         o.context_id,
         o.last_modified
  from pl_folders f,
       acs_objects o
  where f.folder_id = o.object_id
    and f.deleted_p = 'f';
