ad_page_contract {

    @author Andrew Grumet <aegrumet@arsdigita.com>
    @cvs-id $Id: folder-edit.tcl,v 1.2 2002/09/10 22:23:14 jeffd Exp $

    Edit a folder.

} {
    folder_id:notnull,naturalnum
    return_url:optional
}

if ![info exists return_url] {
    set return_url folder-view?folder_id=$folder_id
}

set dml_return_url [ns_conn url]?[ns_conn query]

set heading ""
set submit "Save Changes"
db_1row pl_folder_info {
    select title, descr, pl_relative_date(last_modified) as modified_date,
           default_exp_date, pl_folder.photo_count(:folder_id) as photo_count,
           default_prefix
    from pl_v_folders
    where folder_id = :folder_id
}

set context_bar [ad_context_bar [list folder-view?folder_id=$folder_id $title] Edit]
