ad_page_contract {

    @author Andrew Grumet <aegrumet@arsdigita.com>
    @cvs-id $Id: photo-add.tcl,v 1.2 2002/09/10 22:23:14 jeffd Exp $

    Get filenames to add.

} {
   folder_id:notnull,naturalnum
}

db_1row pl_folder_info {
    select title,
           pl_photo_date_format(default_exp_date) as default_exp_date,
           default_prefix
    from pl_folders 
    where folder_id = :folder_id
}

db_multirow files pl_file_names {
    select client_filename
    from pl_v_photos
    where folder_id = :folder_id
    order by lower(client_filename)
}

set context_bar [ad_context_bar [list "folder-view?folder_id=$folder_id" $title] Add]
