# postcard/add-picture.tcl

ad_page_contract {
    Add a picture for postcard

    @author Henry Minsky (hqm@arsdigita.com)
    @creation-date 6 Nov 2000
    @cvs-id $Id: add-picture.tcl,v 1.4 2005/01/13 13:54:32 jeffd Exp $
} {
}

set user_id    [ad_conn user_id]
set package_id [ad_conn package_id]

permission::require_permission \
    -party_id $user_id \
    -privilege create \
    -object_id $package_id

set image_id [db_nextval postcard_image_sequence] 


