-- /packages/ticket-tracker-lite/sql/ticket-tracker-lite-drop.sql
--
-- @author dvr@arsdigita.com
-- @created 2001-02-18
--
---------------------------------------------------

drop view ttl_v_areas;
drop view ttl_va_areas;
drop view ttl_v_tickets; 
drop view ttl_va_tickets; 
drop view ttl_va_comments;
drop view ttl_v_comments_latest; 
drop view ttl_v_users;

drop table ttl_prefs;
drop table ttl_area_assignments;
drop table ttl_assignments;
drop table ttl_comments;
drop table ttl_tickets;
drop table ttl_status;
drop table ttl_areas;

drop function ttl_relative_date;
drop function ttl_top_privilege_for_object;

delete from acs_permissions
where object_id in (select package_id
                    from apm_packages
                    where package_key = 'ticket-tracker-lite');

delete from acs_objects where object_type like 'ticket_tracker_lite%';

begin
    acs_object_type.drop_type('ticket_tracker_lite_area');
    acs_object_type.drop_type('ticket_tracker_lite_ticket');
end;
/


