<?xml version="1.0"?>
<queryset>

<fullquery name="get_comments">      
<querytext>
      
select r.comment_id,
       p.first_names || ' ' || p.last_name as comment_username,
       r.message,
       r.message_format,
       ttl_relative_date(r.creation_date) as comment_date,
       case when :caller_id = r.creation_user then 1 else 0 end as can_edit_p,
       null as edit_url
   from ttl_va_comments r, persons p
   where r.ticket_id = :ticket_id and 
         r.creation_user = p.person_id

</querytext>
</fullquery>

 
</queryset>
