<master>
<property name=title>Using the ticket tracker</property>
<property name=context>{{./} {ticket tracker lite}} help</property>

<p>The ticket tracker is a tool for development teams and their
clients to organize bug reports and feature requests. 

<p>Here's an example of how the ticket is typically used:

<ol>
<p><li>The client decides a form needs an additional field. 
They add a ticket describing the new functionality, and mark this
ticket as a 'medium' priority. They have the option of specifing
a deadline for the work, but in general it's better to only set the 
priority, then wait for the development team to return with 
an estimate of the work involved.

<p>As soon as the ticket is submitted, the development team is notified
via email.

<p><li>Tickets start life in the '<b>queued</b>' state. When
a developer starts work on it, they move it into the '<b>development</b>' 
state. 

<p>Any questions or comments added to a ticket are automatically 
emailed to the person who submitted the ticket and any developers
assigned to the ticket.

<p>If the client changes their mind and decides time shouldn't be
spent on the ticket right away, they move it to the '<b>deferred</b>'
state.

<p><li>If the ticket is for code that needs to be tested, the developer 
will move it into the '<b>staging</b>' state when the new code
is on the staging server and ready for testing. The developer adds
a comment with the URL where the client can preview the work. 

<p><li>If the client is unhappy with the work, they move the 
ticket into the '<b>needs revision</b>' state and describes 
what needs to be changed. 

<p>When the developer resumes work on the ticket, they move
the ticket back into the 'development' state.

<p><li>After the changes are tested and approved, the ticket
is marked '<b>completed</b>'.

</ol>
