ad_page_contract {} {
    ticket_id:integer,optional
}

ttl_restrict_to_ttl_users

set caller_id  [ad_conn user_id]
set package_id [ad_conn package_id]

set master_template [ttl_master_template]

db_1row get_ticket_info {
    select 
        t.name,
        t.message,
        t.message_format
    from ttl_v_tickets t, ttl_va_areas a
    where a.context_id = :package_id 
    and t.ticket_id = :ticket_id
    and t.area_id = a.area_id
}

set title "Update ticket $ticket_id"
set context [list [list "ticket?ticket_id=$ticket_id" "$name"] Edit]

set Q_name    [ns_quotehtml $name]
set Q_message [ns_quotehtml $message]


set format_widget [ttl_text_format_widget -name message_format -default $message_format]


