<master>
<property name="title">Install</property>
<property name="context">@context;noquote@</property>

<p>


<if @has_error_p@ gt 0>
  During the package installation, we've discovered the following error(s):
  <ul>
    <if @gc_mounted_p@ eq 0>
      <li>The General Comments package is not mounted.
    </if>
    <if @workflow_mounted_p@ eq 0> 
      <li>The ACS Workflow package is not mounted.
    </if>
    <if @url_is_good_p@ eq 0>
      <li>The <code>SystemUrl</code> parameter under acs-kernel/system-information still has its default value, which is <code>@default_url@</code>
    </if>
	<if @good_email@ nil>
	  <li>The <code>NotificationSender</code> parameter under ticket-tracker does not have an email associated with it. This parameter is a <code>party_id</code> and must have a valid email address because this email address will sign all alerts that the ticket-tracker sends out. 
		<blockquote>
		<table border=1 cellpadding=5>
		<tr>
		<th>Search for a user
		<th>Add a new user
		</tr>
                <tr>
		<td>
		<form action=/acs-admin/users/search method=post>
		<input type=hidden name=target value="@package_url@admin/install/set-sender">
			<p>By email address: <input name=email>
			<center>-- OR --</center>
			<p>By last name: <input name=last_name>
			<center><input type=submit value="Search for User"></center>
		</form>
		</td>
		<td>
		<form action=/acs-admin/users/user-add method=post>
		<center><input type=submit value="Add A User"></center>
		<br>You'll need to come back to the ticket-tracker after you're done.
		</form>
		</td>
		</tr>
		</table>
		</blockquote>
	</if>
  </ul>
  Please go to <a href="/admin/site-map">Site Map</a> to correct the error(s).
</if>
<else>
  Package has been installed successfully. 
  <p>
  Please click <a href="../">here</a> to customize it.
</else>
  
<p>      


