<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="duplicate_count">      
<querytext>
      
select count(*) as duplicate
  where exists (select option_id
                  from ttracker_options 
                  where package_id = :package_id and 
                        function = :function and (value = :value or 
                                                  upper(name) = upper(:name)))
        
</querytext>
</fullquery>

 
<fullquery name="add_option">      
<querytext>

select ttracker_option__add_option (
	null,			-- option_id
	:package_id,	-- package_id
	:function,		-- function
	:name,			-- name
	:value			-- value
)

</querytext>
</fullquery>

 
</queryset>
