<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="ticket_count">      
      <querytext>
      
	    select count(*) as in_use 
	      
	     where exists (select tt.ticket_id
	                     from ttracker_options ts,
	                          ttracker_tickets tt,
	                          ttracker_categories tc
	                    where ts.option_id = :option_id
	                      and tt.category_id = tc.category_id
	                      and tc.package_id = ts.package_id
	                      and ((ts.function = 'severity' and ts.value = tt.severity) or
	                           (ts.function = 'priority' and ts.value = tt.priority)))
	
      </querytext>
</fullquery>

 
</queryset>
