<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="insert_ticket">      
      <querytext>
      
    declare
        v_ticket_id  acs_objects.object_id%TYPE;
    begin
        v_ticket_id := ttracker_ticket.new (
            context_id    => :package_id,                      
            subject       => :subject,
            description   => :description,
            mime_type     => :mime_type,
            category_id   => :category_id,
            severity      => :severity,
            priority      => :priority,
            creation_user => :user_id,
            creation_ip   => :creation_ip
        );

        acs_permission.grant_permission(
            object_id  => v_ticket_id,
            grantee_id => :user_id,
            privilege  => 'write'
        );        
    end;

      </querytext>
</fullquery>

 
</queryset>
