ad_library {
    Initialization needed for WAP module

    @author Shan Shan Huang (shuang@arsdigita.com)
    @creation-date January 9, 2001
    @cvs-id $Id: 0-procs.tcl,v 1.3 2009/02/13 20:40:39 jeffd Exp $
}


# add wdp into the template namespace
namespace eval template {
    namespace eval code {
        namespace eval wdp {}
    }

    namespace eval mtimes {
        namespace eval wdp {}
    }
}


ad_proc wap_set_content_type {} {
    Sets the content-type to text/vnd.wml.wap is request comes from WAP device.
} {
    if { [wap_user_agent_p] } {
	ns_set put [ns_conn outputheaders] content-type "text/vnd.wap.wml"
    } 

    return filter_ok
}

ad_register_filter -description "This function helps set approprate content-type for requests that come from WAP devices." \
	postauth * /* wap_set_content_type 


# register this mime type
set header_preamble {<?xml version="1.0"?> 
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">}

template::register_mime_type "text/vnd.wap.wml" "wdp" $header_preamble
