ad_page_contract {

    Create a new category in a forum.

    @author John Prevost <jprevost@arsdigita.com>
    @creation-date 2000-08-30
    @cvs-id $Id: category-new-2.tcl,v 1.3 2003/08/28 09:41:47 lars Exp $

    @param category_id The ID of the new category to be created (debounce)
    @param forum_id    The ID of the forum to create it in
    @param short_name  The short name of the forum
} {
    category_id:integer,notnull
    forum_id:integer,notnull,bboard_forum_id
    short_name:notnull,trim
}

ad_require_permission $forum_id bboard_create_category

db_transaction {
    bboard_category_new -category_id $category_id -forum_id $forum_id \
	    -short_name $short_name
}
# on error ...

ad_returnredirect "forum?[export_url_vars forum_id]"
