ad_page_contract {

    This page presents a form for creating a message attachment.

    @author Anukul Kapoor (akk@arsdigita.com)
    @creation-datee 2000-12-18
    @cvs-id $Id: message-attach.tcl,v 1.6 2003/08/28 09:41:47 lars Exp $

} {
    forum_id:integer,notnull,bboard_forum_id
    message_id:integer,notnull
} -properties {
    title:onevalue
    context:onevalue
    file_id:onevalue
    message_id:onevalue
    forum_id:onevalue
}

ad_require_permission $message_id bboard_write_message

set title "Upload message attachment"
set context [list "Upload an attachment"]

set file_id [db_nextval acs_object_id_seq]

ad_return_template