ad_page_contract {
    /packages/library/www/admin/copy-object-type.tcl

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    
} {
    object_type_id:integer
} -properties {
    title:onevalue
    object_type_name:onevalue
    instances:multirow
}

set user_id [auth::require_login]

set this_package_d [ad_conn package_id]

set sql "select package_id, instance_name
    from apm_packages
    where package_key='library' and 
    acs_permission.permission_p(package_id, :user_id, 'admin')='t' and 
    package_id <> :this_package_d"

set list_of_instances ""
template::multirow create instances package_id instance_name

db_foreach move_object_type_sql_10 $sql {
    template::multirow append instances $package_id $instance_name
}


set object_type_name [db_string object_type_copy_10 "select pretty_plural from sn_object_types
                                              where object_type_id = :object_type_id"]

set title "Copy Object Type \"$object_type_name\"' Definition to another Instance"

set_context_bar_data $title

ad_return_template

