ad_page_contract {
    /packages/library/www/admin/delete-option.tcl

    Ask for confirmation before deleting an option.

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    
    @cvs-id $Id: delete-option.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    question_id:integer
    object_type_id:integer
    option_id:integer
} -properties {
    title:onevalue
    pretty_question:onevalue
    delete_form_vars:onevalue
    view_form_vars:onevalue
    value:onevalue
}

set question_info [km_get_question $question_id $object_type_id]
set pretty_question [snd $question_info]

set value [km_answer_option $option_id]
set title "Delete Option $value"
set_context_bar_data [list "." "Knowledge Library"] [list "view-options?[export_url_vars question_id object_type_id]" $pretty_question] "Delete Option"

set delete_form_vars [export_form_vars question_id object_type_id option_id]
set view_form_vars [export_form_vars question_id object_type_id]
 
set pretty_question [db_string view_options_10 "select pretty_name
  from sn_questions
  where question_id = :question_id"]
set view_options_title "Multiple Choice Options for $pretty_question"

set_context_bar_data [list "view-questions?object_type_id=$object_type_id" "$pretty_question Questions"] [list "view-options?object_type_id=$object_type_id&question_id=$question_id" $view_options_title] $title
ad_return_template
