# /www/admin/library/edit-category.tcl
#
# A routing page used by view-questions.tcl.  Depending on whether a
# question has a category associated with it or not, it redirects to
# /admin/categories or choose-category.tcl.
#
# $Id: edit-category.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $

ad_page_variables {
    question_id
    object_type_id
}

db_1row edit_category_10 "
select q.category_id, category 
from sn_questions q, old_categories c
where question_id=:question_id
and c.category_id(+) = q.category_id"

if ![empty_string_p $category_id] {
    ad_returnredirect "/admin/categories/one?[export_url_vars category_id]"
} else {
    ad_returnredirect "choose-category?[export_url_vars question_id object_type_id]"
}
