ad_page_contract {

    edit-object-type.tcl

    Edit a  KM library object type.

    @author Dirk
    @cvs-id $Id: edit-object-type.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    object_type_id:integer,notnull
} -properties {
    context_bar:onevalue
    graphic:onevalue
    title:onevalue
    form_vars:onevalue
    short_name:onevalue
    pretty_name:onevalue
    pretty_plural:onevalue
    browse_p:onevalue
    default_age:onevalue
    public_p:onevalue
    create_p:onevalue
    archive_p:onevalue
    copy_p:onevalue
    sweeper:onevalue
    sweeper_action:onevalue
    sweeper_warning_time:onevalue
    sweeper_outdated_time:onevalue
}


set title [km_static object_type_pretty_name $object_type_id]
set short_name [km_static object_type_short_name $object_type_id]
set pretty_type [km_static object_type_pretty_name $object_type_id]
set pretty_plural [km_static object_type_pretty_plural $object_type_id]
set browse_p [km_static object_type_browse_p $object_type_id]
set public_p [km_static object_type_public_p $object_type_id]
set create_p [km_static object_type_create_p $object_type_id]
set archive_p [km_static object_type_archive_p $object_type_id]
set copy_p [km_static object_type_copy_p $object_type_id]
set default_age_filter [km_static object_type_default_age_filter $object_type_id]

db_1row get_sweeper_data {
    select sweeper, sweeper_action, sweeper_warning_time, sweeper_outdated_time
    from sn_object_types
    where object_type_id = :object_type_id
}

set graphic [km_static object_type_graphic $object_type_id]

set form_vars [export_form_vars object_type_id]

set_context_bar_data $title

ad_return_template
