ad_page_contract {
} {
    {email:array ""}
    {rating_p:array ""}
    object_id:integer,notnull
    root_node_id:integer,notnull
}
csrf::authenticate

set rating_p_names [array names rating_p]

foreach category_id [array names email]  {
    if { [info exists rating_p($category_id)] } {
	set this_rating_p t
    } else {
	set this_rating_p f
    }
    
    if { $this_rating_p == "f" } {
	set this_scale 0
    } else {
	set this_scale 5
    }

    set this_email $email($category_id)

    db_transaction {
	db_dml delete_category_settings "
	  delete from sn_comments_category_settings 
	  where category_id=:category_id 
	  and object_id = :object_id"
	
	db_dml insert_category_settings "
	insert into sn_comments_category_settings (object_id, category_id, email, rating_p, scale)
	values (:object_id, :category_id, :this_email, :this_rating_p,  :this_scale)   "
    } on_error {
	ad_return_error "Error" "Blah blah Blah"
	return
    }
}
	

ad_returnredirect .
