ad_page_contract {
    /packages/library/www/admin/move-object-type.tcl

    @author Carsten Clasohm (carsten@arsdigita.com)
    @author Dirk Gomez (dirk@arsdigita.com)
    
} {
    object_type_id:integer
} -properties {
    title:onevalue
    object_type_name:onevalue
    instances:multirow
}

set user_id [auth::require_login]

set object_type_name [db_string object_type_delete_10 "select pretty_plural from sn_object_types
                                              where object_type_id = :object_type_id"]

set title "Move Object Type \"$object_type_name\"' to another Instance"

set_context_bar_data $title

ad_return_template

