ad_page_contract {
    Set composed short name
} {    
    object_type_id:naturalnum,notnull
    {question1:naturalnum,notnull 0}
    {question2:naturalnum,notnull 0}
    {question3:naturalnum,notnull 0}
}
csrf::authenticate

if {[empty_string_p $question1]} {
    ad_return_complaint 1 "You need to choose question 1!"
}

if {[empty_string_p $question2]} {
    ad_return_complaint 1 "You need to choose question 2!"
}

if {[empty_string_p $question3]} {
    set question3 0
}

db_dml clear_out_the_past {delete from sn_types_map_short_name
  where object_type_id=:object_type_id}

set sql_insert_question {insert into sn_types_map_short_name \
        values (:object_type_id, :question_id, :position)}

set position 1

set question_id $question1
db_dml insert_question_1 $sql_insert_question
incr position

if {$question2} {
    set question_id $question2
    db_dml insert_question_2 $sql_insert_question
    incr position
}

if {$question3} {
    set question_id $question3
    db_dml insert_question_3 $sql_insert_question
    incr position
}

db_dml update_one_line_description {
	update sn_objects 
	set one_line_description = km_utilities.shortname_string(object_id,:question1,:question2,:question3)
    where object_type_id=:object_type_id}

km_static -reset $object_type_id

ad_returnredirect "view-questions?object_type_id=$object_type_id"
