ad_page_contract {
} {
} -properties {
    title:onevalue
    role_magic_id:onevalue
    language_magic_id:onevalue
    proficiency_magic_id:onevalue
}

set user_id [auth::require_login]
set package_id [ad_conn package_id]

set magic_ids_exist_p [db_0or1row get_magic_ids_for_category_trees {
    select role_magic_id, language_magic_id, proficiency_magic_id
    from psn_category_trees
    where package_id = :package_id
}]

if {!$magic_ids_exist_p} {
    ad_return_complaint 1 \
	"Error in library setup. No magic ids for category trees for the application form found."
    return
}

set title "Manage categories for Xchange Application Form"
set_context_bar_data "Manage Application Form Categories"

ad_return_template
