<master src="master">
<property name="title">@title;noquote@</property>
<property name="graphic">@graphic@</property>
<property name="graphic_width">@graphic_width;noquote@</property>
<property name="subsite_url">@subsite_url;noquote@</property>
<property name="subsite_name">@subsite_name;noquote@</property>
<property name="search_contexts">@search_contexts;noquote@</property>

<include src="category-action" category_id=@category_id@ return_uri="@return_uri;noquote@" create_p=@create_p@ copy_p=@copy_p@ object_type_id=@object_type_id@ object_type_pretty_name="@object_type_pretty_name;noquote@" have_alert=@have_alert@>

<if @category_id@ ne "none">
  Number of objects in this category and it's subcategories (@total_num_objects@)<p>
  View items modified in the last @age_bar;noquote@
  <p>
  <if @date_filter_p@ eq t>
    <include src="date-filter" target="browse-one-category" start="@start_date@" end="@end_date@" start_offset="-5" end_offset="7" presentation_type="select" form_vars="@date_filter_vars;noquote@">
  </if>

 <table><tr>
 <multiple name="categorization_widget_header">
   <th bgcolor="#cccfff">@categorization_widget_header.header_name@</th>
 </multiple>
 </tr><tr>

 <multiple name="categorization_widget">
 <td valign="top">
 <ul>

 <group column=parent_node_id>
 <li><a href="@categorization_widget.target@@categorization_widget.category_id@">@categorization_widget.category@</a>&nbsp;(@categorization_widget.sum_count;noquote@)
 </group>
 </multiple>
 </td>
</table>
  <p>
</if><else>
Number of objects that are not categorized by @pretty_question@ (@total_num_objects@)<p>
  <p>View items modified in the last @age_bar;noquote@
</else>

<if @num_displayed_objects@ eq 0>

  <table>
  <if @category_id@ ne "none">
    <tr><td>View: <td>@object_view_bar_top_level;noquote@<br>
  </if>
  <if @archive_p@ eq 1>
    <tr><td>Status:</td><td>@archive_bar;noquote@</td></tr>
  </if>
  <tr><td>Owner:</td><td>@ownership_bar;noquote@</td></tr>
  <if @begin_letter@ ne "all">
    <tr><td>Alphabet: <td>[
      <multiple name="alphabet">
        <if @alphabet.url@ not nil>
          <a href="@alphabet.url@">@alphabet.letter@</a>
        </if>
        <else>
          <b>@alphabet.letter@</b>
        </else>
      </multiple>]
    </tr>
  </if>
  </table>
  <p>No objects here.

</if><else>

  <table>
  <if @category_id@ ne "none">
    <tr><td>View: <td>@object_view_bar_top_level;noquote@<br>
  </if>
  <if @archive_p@ eq 1>
    <tr><td>Status:</td><td>@archive_bar;noquote@</td></tr>
  </if>
  <tr><td>Owner:</td><td>@ownership_bar;noquote@</td></tr>
  <tr><td>Sort: <td>@object_sort_bar;noquote@</td></tr>
    <tr><td>Alphabet: <td>[
      <multiple name="alphabet">
        <if @alphabet.url@ not nil>
          <a href="@alphabet.url@">@alphabet.letter@</a>
        </if>
        <else>
          <b>@alphabet.letter@</b>
        </else>
      </multiple>]
    </tr>
  </table>

  <h3>@pretty_type_plural;noquote@
   <if @first_row@ gt 1 or @last_row@ lt @num_displayed_objects@>
    @first_row@-@last_row@ of @num_displayed_objects@
   </if>
   <else>(@num_displayed_objects@)</else>
  </h3>

  <if @num_displayed_objects@ gt @category_display_limit@>
   <font size=-1>(Note: When there are more than @category_display_limit@ objects found,
   categories are not shown.)</font>
  </if>

  <if @num_displayed_objects@ eq 0>No objects match your filters.</if>
  <else>
  <ul>
  <multiple name="object_list"> 

  <li>
  <if @object_list.public_p@ eq 0>
  <font color=red>[Private]</font>
  </if>
  <if @object_list.archived_p@ eq 1>
  <font color=red>[Archived]</font>
  </if>
  <if @object_list.review_p@ eq 1>
  <font color=green>[In review]</font>
  </if>
  <a href="@object_list.object_view_link@">@object_list.object_name@</a>
  by @object_list.user_link;noquote@ (@object_list.last_modified@)

  <if @object_list.access_total@ gt 0>
  (@object_list.access_total@ hits, @object_list.access_month@ this month)
  </if>

  <if @object_list.number_ratings@ gt 0>
    (@object_list.number_ratings@ user
     rating<if @object_list.number_ratings@ gt 1>s: average of</if><else>:</else>
     <nobr>@object_list.rating_avg@&nbsp;<img src="@subsite_url@images/@object_list.rating_avg_img@" alt="@object_list.rating_avg@" width="50" height="9"></nobr>)
  </if>

  <if @object_list.overview@ ne "">
  <br>@object_list.overview@
  </if>
  
  <if @object_list.categories_html@ ne "">
  <br><font size=-1>(@object_list.categories_html;noquote@)</font>
  </if>
  
  </multiple> 
  </ul>


   <include src="result-pages" &result_pages="result_pages" url_stub="@url_stub;noquote@" first_row="@first_row@" last_row="@last_row@" object_count="@num_displayed_objects@">

  </else>
</else>
