<master src="master">
<property name="title">@title;noquote@</property>
<property name="subsite_url">@subsite_url;noquote@</property>
<property name="subsite_name">@subsite_name;noquote@</property>
<property name="header_stuff">@header_stuff;noquote@</property>

<blockquote>
<b>@object_name@</b>:<br>
@overview_with_href_and_mailto;noquote@

<p>

<h3>@headline@</h3>

<form action=comment-add-3 method=post>
<csrf-token>
@form_vars;noquote@

<if @user_id@ ne @author_id@>
Please tell <a href="../users/yp?user_id=@author_id@">@author_name@</a>
how valuable you find her/his @object_type@ "<a href="object-view?object_id=@object_id@&category_id=@category_id@">@object_name@</a>".
<if @reuse_p@ eq t>
  He/she will receive a variable number of <ad-parameter package=acs-kernel name=SystemName>
  Shares defined by you along with your comment.
 
  <h4>Select feedback points</h4>
  <p> By giving feedback points you help users to easily find
  interesting content in <ad-parameter package=acs-kernel name=SystemName>. Also, <a href="../users/yp?user_id=@author_id@">@author_name@</a>
  will receive a number of <ad-parameter package=acs-kernel name=SystemName> Shares proportional to the number of
  feedback points you award. <!--Choosing
  &quot;0&quot; feedback points on all answers in this thread will
  result in your request to be handled as &quot;unanswered&quot;
  again.--></p>

  <nobr>Answer didn't help me&nbsp;
  <multiple name=ratings><input type="radio" name="reuse_points" value="@ratings.number@"<if @reuse_points@ eq @ratings.number@> checked</if>>@ratings.number@&nbsp;&nbsp;</multiple>
  Perfect Answer</nobr></p>
</if>
</if>
 
<p>
 
<if @reuse_p@ eq t>
  <h4>Comment</h4>
  <p>Please add a comment to your feedback. The system will include
  it in the feedback E-Mail to the user. 
  <br><em>Here you shall explain, describe or comment your feedback
  (i.e. what project did you reuse the information for,
  what did you learn, why do you think it's outdated or should have
  more details, etc.).</em></p>
</if><else>
  <em>What comment would you like to add to the above @object_type@?</em>
</else>
</p>

<table>
<tr><td rowspan="2">
<textarea name=comment rows=10 cols=60 wrap=soft>@comment;noquote@</textarea>
</td>
<td valign="top">
<a href="javascript:PopUp(&quot;@subsite_url@guidelines/quality/feedback.htm&quot;)"><img src="@subsite_url@images/logoQual.gif"
hspace=5 border=0 align=left width=128 height=27></a>
</td></tr>
<tr><td>
<p><select name=html_p>
<option value="f"<if @html_p@ eq "f"> SELECTED</if>>Plain Text
<option value="t"<if @html_p@ eq "t"> SELECTED</if>>HTML
</select>
</td></tr></table>
 
<p>
<input type="checkbox" name="public_p" value="t"<if @public_p@ eq "t"> checked</if>>
Add this comment as a public comment to the knowledge object
</p>
 
<center><input type=submit name=submit value="Proceed"></center>
</form>
</blockquote>

<if @feedback_category_id@ not nil>
  <form action="comment-add" method=post>
  <csrf-token>
  @form_vars;noquote@
  <input type=submit name=back value="Back">
  </form>
</if>
