<master src="master">
<property name="title">@title;noquote@</property>

The following is your comment as it would appear on the page
<i>@object_name@</i>. If it looks incorrect, please use the back button
on your browser to return and correct it. Otherwise, press
"Continue".

<blockquote>
<if @feedback_category@ not nil>
  <p><b>Feedback type:</b> @feedback_category@</p>
</if>
  <p><b>Comment:</b><p>@comment;noquote@</p>
</blockquote>
<p>
<if @public_p@ eq t>
  This comment will appear as a comment below the @object_type@ "<a href="object-view?object_id=@object_id@&category_id=@category_id@">@object_name@</a>".
</if><else>
  <if @user_id@ ne @author_id@>
    This comment will only get sent to the author
    <a href="../users/yp?user_id=@author_id@">@author_name@</a> of the
    @object_type@ "<a href="object-view?object_id=@object_id@&category_id=@category_id@">@object_name@</a>"
    and will NOT appear as a comment below the @object_type@.
  </if>
</else>

<if @html_p@ eq "t">
  <p>Note: If the comment has lost all of its paragraph breaks then you
  probably should have selected "Plain Text" rather than "HTML".
</if><else>
  <p>Note: If the comment has a bunch of visible HTML tags then you probably
  should have selected "HTML" rather than "Plain Text". Use your
  browser's Back button to return to the submission form.
</else>

<if @reuse_points@ ne -1>
  <if @own_shares:rowcount@ gt 0>
    <p>You will receive the following shares:
    <ul><multiple name=own_shares>
      <li><a href="/incentives/user/shares?bank_id=@own_shares.bank_id@">@own_shares.bank_name@</a>: @own_shares.amount@ @own_shares.currency@ (New balance: @own_shares.balance@ @own_shares.currency@)</li>
    </multiple></ul>
  </if><else><p></else>
  <a href="../users/yp?user_id=@author_id@">@author_name@</a>
  <if @reuse_points@ eq 0 or @author_shares:rowcount@ eq 0>
    <if @reuse_points@ eq 0>
      is about to receive no shares since you rated the object with 0.
    </if><else>
      is about to receive no shares since no shares will be awarded for this feedback type.
    </else>
  </if><else>
    is about to receive the following shares proportional to <b>@reuse_points@
    point<if @reuse_points@ ne 1>s</if></b> you awarded his knowledge object:
    <ul><multiple name=author_shares>
      <li>@author_shares.bank_name@</a>: @author_shares.amount@ @author_shares.currency@</li>
    </multiple></ul>
  </else>
  <p>
</if>


<form action=comment-add-4 method=post>
<csrf-token>
@form_vars;noquote@
@dc_export;noquote@
<center><input type=submit name=submit value="Continue"></center>
</form>

<form action="comment-add-2" method=post>
@form_vars;noquote@
<input type=submit name=back value="Back">
</form>
