ad_page_contract {
    /www/library/file-delete-2.tcl

    Delete an attached document.

    @cvs-id $Id: file-delete-2.tcl,v 1.2 2005/03/01 00:01:14 jeffd Exp $
} {
    object_id:notnull,integer
    question_id:notnull,integer
    {category_id ""}
    {parent_question_id:integer 0}
    {return_page "one-question-edit"}
}
csrf::authenticate

set user_id [auth::require_login]
if ![km_check_object_id -check_edit_p 1 $object_id] { return }

if [km_is_required -object_id $object_id $question_id] {
    ad_return_warning "Required Field" \
	"The attachment is mandatory and therefore may only be
	 overwritten, but not removed."
    return
}

km_delete_object_data $object_id $question_id

if { $parent_question_id } { set question_id $parent_question_id }

ad_returnredirect "$return_page?[export_url_vars object_id category_id question_id]"
