ad_page_contract {
} {
    pass:notnull
}

regexp {^object_id([0-9]+)category_id(.*)} $pass match object_id category_id

if { ![km_check_object_id -check_edit_p 1 $object_id] } { return }

set_the_usual_klib_context_bar $object_id $category_id "../"
append_context_bar_data -link_last [list "../object-access?[export_url_vars object_id category_id]" "Access control"]

set path_info [ad_conn path_info]
if {[empty_string_p $path_info]} {
    set path_info index
}

if {[regexp {^rquestions/categories/(.*)} $path_info match path_info]} {
    ad_conn -set path_info $path_info
    set target "rquestions/categories/index-template"
} else {
    set target $path_info
}

array set node [site_node::get -url "/groupadmin"]
ad_conn -set template_key $node(template_key)

ad_return_template
