# Returns a series of checkboxes with the same name and differing items/values.

if {![info exists default]} {
    set default ""
}

if {![info exists values]} {
    set values {}
}

if {![info exists verticle_p]} {
    set verticle_p 1
}

if {![info exists size]} {
    set size ""
}

set counter 0
set checked_string ""
template::multirow create tags name item_value checked_string item break
foreach item $items {
    
    set item_value [lindex $values $counter]
    foreach default_value $default {

        #figure out if this item is to be checked
        if {[string compare $item $default_value] == 0} {
            set checked_string "checked"
            break
        } elseif {[string compare $item_value $default_value] == 0} {
            set checked_string "checked"
            break
        } 
        set checked_string ""
    }
    
    
    if {[empty_string_p $item_value]} {
        set item_value $item
    }
    if { $verticle_p == 0 }  { 
        set break "&nbsp;&nbsp;"
    } else {
        set break "<br>"
    }
    template::multirow append tags $name $item_value $checked_string $item $break
    incr counter
}
