# Link to a downloadable file and show its size. If the document has
# disappeared, tell the user so.

# object_id question_id client_filename    


regsub -all {[^-_.0-9a-zA-Z]+} $client_filename "_" url_filename

if ![catch { set file_size [file size [km_file_path]/$object_id.$question_id] } errmsg] {
    set everything_is_okay_p t
} else {
    set everything_is_okay_p f
    ns_log Warning "Something went wrong with the file [km_file_path]/$object_id.$question_id: $errmsg"
}


