<multiple name="fields">
  <if @fields_only_p@ eq 0>
    <table border="0" width="100%" cellspacing="0" cellpadding="4">
    <tr><td class="snbgform">
    <p class="sntextformelement">@fields.pretty_name;noquote@ <include src="question-state" question_state="@fields.question_state@"></p>
    </td></tr>
    </table>
    
    <p>@fields.entry_explanation;noquote@</p>
  </if>
  <else>
    <p>@fields.entry_explanation;noquote@ <include src="question-state" question_state="@fields.question_state@"></p>
  </else>

  <p>
  <if @fields.abstract_data_type@ eq "date">
    <include src="question-field-date" value="@fields.value;noquote@" object_type_id="@object_type_id@" object_id="@fields.object_id@" presentation_type="@fields.presentation_type@" question_id="@fields.question_id@" question_state="@fields.question_state@">
  </if>

  <if @fields.abstract_data_type@ eq "composite">
    <include src="question-field-composite" edit_p="@edit_p@" object_id="@fields.object_id@" category_id="@category_id@" show_values_p="@show_values_p@" question_id="@fields.question_id@" children="@fields.value;noquote@">
  </if>

  <if @fields.abstract_data_type@ eq "child_object">
    <include src="question-field-child-object" edit_p="@edit_p@" object_id="@fields.object_id@" category_id="@category_id@" question_id="@fields.question_id@" question_state="@fields.question_state@" children="@fields.value;noquote@">
  </if>

  <if @fields.abstract_data_type@ eq "nephew_object">
    <include src="question-field-nephew-object" edit_p="@edit_p@" object_id="@fields.object_id@" category_id="@category_id@" question_id="@fields.question_id@" question_state="@fields.question_state@" value="@fields.value;noquote@" >
  </if>

  <if @fields.abstract_data_type@ eq "user_link">
    <include src="question-field-user-link" edit_p="@edit_p@" object_id="@fields.object_id@" category_id="@category_id@" question_id="@fields.question_id@" hit_database_p="@show_values_p@" question_state="@fields.question_state@">
  </if>

  <if @fields.abstract_data_type@ eq "content_link">
    <include src="question-field-content-link" edit_p="@edit_p@" object_id="@fields.object_id@" category_id="@category_id@" question_id="@fields.question_id@" hit_database_p="@show_values_p@" question_state="@fields.question_state@">
  </if>

  <if @fields.abstract_data_type@ eq "object_link">
    <include src="question-field-object-link" path_id="@fields.new_path_id@" return_url="@return_url;noquote@" hit_database_p="@show_values_p@" object_id="@fields.object_id@" category_id="@category_id@" question_id="@fields.question_id@" question_state="@fields.question_state@" user_id="@user_id@">
  </if>

  <if @fields.abstract_data_type@ eq "file">
    <include src="question-field-file" value="@fields.value@" object_id="@fields.object_id@" category_id="@category_id@" question_id="@fields.question_id@" question_state="@fields.question_state@">
  </if>

  <if @fields.abstract_data_type@ eq "integer">
    <include src="question-field-integer" height="@fields.height@" width="@fields.width@" value="@fields.value;noquote@" presentation_type="@fields.presentation_type@" question_id="@fields.question_id@" question_state="@fields.question_state@">
  </if>

  <if @fields.abstract_data_type@ eq "text">
    <include src="question-field-text" height="@fields.height@" width="@fields.width@" value="@fields.value;noquote@" presentation_type="@fields.presentation_type@" question_id="@fields.question_id@" question_state="@fields.question_state@" html_p="@fields.html_p@" >
  </if>

  <if @fields.abstract_data_type@ eq "option">
    <include src="question-field-option" height="@fields.height@" width="@fields.width@" value="@fields.value;noquote@" presentation_type="@fields.presentation_type@" question_id="@fields.question_id@" question_state="@fields.question_state@" items="@fields.option_answers;noquote@" item_values="@fields.option_ids@" mandatory_p="@fields.mandatory_p@">
  </if>

  <if @fields.abstract_data_type@ eq "category">
    <include src="question-field-category" height="@fields.height@" width="@fields.width@" value="@fields.value;noquote@" presentation_type="@fields.presentation_type@" question_id="@fields.question_id@" question_state="@fields.question_state@" items="@fields.items;noquote@" item_values="@fields.item_values@" mandatory_p="@fields.mandatory_p@">

    <if @fields.descriptions@ ne "">
      <script language="JavaScript" src="util.js" type="text/javascript"></script>
      <br><a href="javascript:OpenPopup(&quot;show-descriptions?question_id=@fields.question_id@&quot;)">Show
      category descriptions</a>
    </if>

  </if>

  <if @fields.abstract_data_type@ eq "other_category">
    <include src="question-field-other-category" height="@fields.height@" width="@fields.width@" value="@fields.value;noquote@" presentation_type="@fields.presentation_type@" question_id="@fields.question_id@" question_state="@fields.question_state@" items="@fields.items;noquote@" item_values="@fields.item_values@" other_value="@fields.other_value@" mandatory_p="@fields.mandatory_p@">

    <if @fields.descriptions@ ne "">
      <script language=\"JavaScript\" src=\"util.js\" type=\"text/javascript\"></script>
      <br><a href=\"javascript:OpenPopup(&quot;show-descriptions?question_id=$question_id&quot;)\">Show
      category descriptions</a>
    </if>

  </if>

  </p>
</multiple>
