# Returns an entire select tag.

if {![info exists default]} {
    set default ""
}

if {![info exists values]} {
    set values {}
}

if {![info exists multiple_p]} {
    set multiple_p 0
}

if {![info exists size]} {
    set size ""
}

if {![info exists empty_tag]} {
    set empty_tag ""
}

if {$multiple_p} {
    if [empty_string_p $size] { set size 15 }
} else {
    if [empty_string_p $size] { set size 1 }
}

if {![info exists mandatory_p]} {
    set mandatory_p f
}

if [null_p $values] { set values $items }

set count 0
template::multirow create tags value selected_p display_string

if {![empty_string_p $empty_tag] && ($mandatory_p == "f")} {
    if [empty_string_p $default] {
	set selected_p t
    } else {
	set selected_p f
    }
    template::multirow append tags "" $selected_p $empty_tag
}

foreach value $values {
    if { $multiple_p && [lsearch $default $value] != -1 || [string compare $default $value] == 0 } {
        set selected_p t
    } else {
        set selected_p f
    }
    template::multirow append tags $value $selected_p [lindex $items $count]
    incr count
}
if {[llength $values] < $size } {
    set size [llength $values]
}
