# /www/library/link-delete.tcl
#
# Ask for confirmation before deleting an object-object link.
#
# $Id: link-delete.tcl,v 1.1 2003/07/02 12:19:43 peterm Exp $

ad_page_variables {
    object_id
    link_id
    {category_id ""}
    {return_url ""}
}

if ![km_check_object_id -check_edit_p 1 $object_id] { return }

if [empty_string_p $return_url] {
    set return_url "object-link?[export_url_vars object_id category_id question_id]"
}

set question_id [db_string link_delete_10 "
    select question_id from sn_question_link_map where link_id=:link_id"]

set object_name [km_conn object_name]

set title "Delete Link"
set_the_usual_klib_context_bar $object_id $category_id
append_context_bar_data "Delete Link"

set form_vars_delete [export_form_vars link_id return_url]
set form_vars_cancel [export_form_vars object_id category_id question_id]
ad_return_template
