ad_page_contract {} {
    source_id
    pass
} -properties {
    path_info:onevalue
    limit_object_type:onevalue
}

set path_info [ad_conn path_info]
if {[empty_string_p $path_info]} {
    set path_info index
}

array set node [site_node::get -url [bookmarks::get_global_instance_path]]
ad_conn -set template_key $node(template_key)

if {[info exists pass]} {
    regexp {^([0-9]*)} $pass match path_id

    set values [get_path_values -action_only_p 0 $path_id]
    set question_id [value_from_tuples $values question_id]
    set object_id [value_from_tuples $values object_id]
    set category_id [value_from_tuples $values category_id]

    set data_type [km_static question_abstract_data_type $question_id] 

    if ![km_check_object_id $object_id] { return }
    set_the_usual_klib_context_bar $object_id $category_id
} else {
    set data_type "sn_object"
    set_context_bar_data
}

switch $data_type {
    "content_link" {
	set limit_object_type ""
    } 
    default {
	set limit_object_type "sn_object"
    }
}

ad_return_template "index-template"
