<master src="master">
<property name="title">@title;noquote@</property>

<p>

<if @public_p@ eq 0>

This object is private.
<if @review_p@ eq 0>
  <a href="object-publish?object_id=@object_id@&category_id=@category_id@&return_url=@return_url;noquote@">Allow all users to view this object</a>.
</if><else>
  It has been submitted for approval.
</else>

</if><else>

All users may view this object. 
<if @unpublish_p@ eq 1>
  <a href="object-unpublish?object_id=@object_id@&category_id=@category_id@&return_url=@return_url;noquote@">Restrict access</a>.
</if>

</else>

<if @users_read:rowcount@ gt 0 or @users_write:rowcount@ gt 0><hr></if>

<if @users_read:rowcount@ gt 0>
 <h3>Users allowed to view</h3>

 <blockquote>
 <form method=post action=object-access-change>
 <csrf-token>
 <input type=hidden name=object_id value=@object_id@>

 <multiple name="users_read">
  <input type=checkbox name=party_ids value=@users_read.user_id@>
  <a href="../users/yp?user_id=@users_read.user_id@">@users_read.user_name@</a><br>
 </multiple>

 <input type=submit name=allow_edit value="Allow editing">
 <input type=submit name=disallow_access value="Disallow Access">

 </form>
 </blockquote>
</if>

<if @users_write:rowcount@ gt 0>
 <h3>Users allowed to edit</h3>

 <blockquote>
 <form method=post action=object-access-change>
 <csrf-token>
 <input type=hidden name=object_id value=@object_id@>

 <multiple name="users_write">
  <input type=checkbox name=party_ids value=@users_write.user_id@>
  <a href="../users/yp?user_id=@users_write.user_id@">@users_write.user_name@</a><br>
 </multiple>

 <input type=submit name=disallow_edit value="Disallow editing">
 <input type=submit name=disallow_access value="Disallow Access">

 </form>
 </blockquote>
</if>

<hr>

<h3>Grant read and write access to a user</h3>

<form action="user-search" method="get">
@form_vars_search;noquote@

Email address / surname contains:
<input type=text name=keyword size=23>
<input type=submit name=submit value="Search">

</form>

<if @groups_read:rowcount@ gt 0 or @groups_write:rowcount@ gt 0><hr></if>

<if @groups_read:rowcount@ gt 0>
 <h3>Groups allowed to view</h3>

 <blockquote>
 <form method=post action=object-access-change>
 <csrf-token>
 <input type=hidden name=object_id value=@object_id@>

 <multiple name="groups_read">
  <input type=checkbox name=party_ids value=@groups_read.group_id@>
  <a href="groupadmin/private-group?group_id=@groups_read.group_id@&pass=object_id@object_id@category_id@category_id@" target="_blank">@groups_read.group_name@</a><br>
 </multiple>

 <input type=submit name=allow_edit value="Allow editing">
 <input type=submit name=disallow_access value="Disallow Access">

 </form>
 </blockquote>
</if>

<if @groups_write:rowcount@ gt 0>
 <h3>Groups allowed to edit</h3>

 <blockquote>
 <form method=post action=object-access-change>
 <csrf-token>
 <input type=hidden name=object_id value=@object_id@>

 <multiple name="groups_write">
  <input type=checkbox name=party_ids value=@groups_write.group_id@>
  <a href="groupadmin/private-group?group_id=@groups_write.group_id@&pass=object_id@object_id@category_id@category_id@" target="_blank">@groups_write.group_name@</a><br>
 </multiple>

 <input type=submit name=disallow_edit value="Disallow editing">
 <input type=submit name=disallow_access value="Disallow Access">

 </form>
 </blockquote>
</if>

<hr>

<h3>Grant read and write access to a group</h3>

<if @all_groups:rowcount@ gt 0>
 <form action="object-access-add" method="post">
 <csrf-token>
 @form_vars_group;noquote@

  Choose an existing group:
   <select name="group_id">
    <multiple name="all_groups">
     <option value="@all_groups.group_id@">@all_groups.group_name@
    </multiple>
   </select>
  <input type="submit" value="Grant">
 </form>
</if>

<form action="private-group-create" method="get">
<csrf-token>
@form_vars_group;noquote@

<p>Create a new group:
<input name="group_name" type="text" size="30">
<input type="submit" value="Create">

</form>
