ad_page_contract {
    object-link-2.tcl
    
    Create a new link between two objects.

    $Id: object-link-2.tcl,v 1.2 2005/03/01 00:01:14 jeffd Exp $
} {
    object_id:notnull,integer
    link_comment
    path_id:notnull
    {html_p:notnull,oneof(1|0)} 
}
csrf::authenticate

set user_id [auth::require_login]

# Determine to which object we are going to add the link,
# and if the current user is allowed to do this.

set path_values [get_path_values -action_only_p 0 $path_id]
set original_object_id [value_from_tuples $path_values object_id]
set question_id [value_from_tuples $path_values question_id]

if ![km_check_object_id -check_edit_p 1 $original_object_id] { return }

set html_p [ad_decode $html_p 1 t f]
km_link_objects $question_id $user_id $original_object_id $object_id $link_comment $html_p

ad_returnredirect [get_path_return_url $path_id]
