<master src="master">
<property name="title">@title;noquote@</property>
<property name="graphic">@graphic@</property>
<property name="subsite_url">@subsite_url;noquote@</property>
<property name="subsite_name">@subsite_name;noquote@</property>
<property name="search_contexts">@search_contexts;noquote@</property>

<if @read_only_child_p@ eq 0>
<include src="object-view-toolbar" child_p="@child_p@" object_id="@object_id@" category_id="@category_id@" default="object_view"><p>
</if>
<if @workspace_toolbar@ not nil>
<p>@workspace_toolbar;noquote@
</if>

<p><table cellspacing=2 cellpadding=2>

<tr>
<if @write_feedback_of_object@ eq 1>
  <if @feedback_statistics.count@ eq 0>
   <td></td><td>&nbsp;</td><td>No user rating yet
  </if>
  <else>
     <td align=right><nobr>@feedback_statistics.average@&nbsp;<img src="@subsite_url@images/@feedback_statistics.avg_points_img@" alt="@feedback_statistics.average@ points" width="50" height="9"></nobr></td><td>&nbsp;</td><td>
	<if @feedback_statistics.count@ eq 1> from 1 user rating</if>
	<else>
	   average out of @feedback_statistics.count@ user rating<if @feedback_statistics.count@ gt 1>s</if>
(@feedback_statistics.total@ points in total)
	</else>
  </else>
   |
</if>
<else>
 <td></td><td>&nbsp;</td><td>
</else>

@access_count@ hits <if @access_count_month@ ne 0>(@access_count_month@ this month)</if>
</td></tr>

<if @ancestor_object_id@ ne 0>
  <tr><th align="right">@ancestor_object_type@</th><td>&nbsp;</td><td><a href="object-view?object_id=@ancestor_object_id@">@ancestor_name@</a><if @ancestor_public_p@ eq 0> <font color=red>[Private]</font></if><if @ancestor_archived_p@ eq 1> <font color=red>[Archived]</font></if><if @ancestor_review_p@ eq 1> <font color=green>[In review]</font></if></td></tr>
</if>

<tr><th align="right">Date Created</th><td>&nbsp;</td><td>@date_created@</td></tr>

<if @public_p@ eq 0>
 <if @checkoff_date@ ne "">
  <tr><th align="right">Release Date</th><td>&nbsp;</td><td>@pretty_checkoff_date@</td></tr>
 </if>
</if><else>
 <tr><th align="right">Date Published</th><td>&nbsp;</td><td>@pretty_checkoff_date@</td></tr>
</else>
  
<tr><th align="right">Last Modified</th>
<td>&nbsp;</td>
<td>@date_last_modified@ (<a href="object-audit-trail?object_id=@object_id@&category_id=@category_id@">History</a>)</td>
</tr>
</if>

<tr><td align=right>
<if @change_owner_p@ eq 1>
<a href="owner-change?object_id=@object_id@&category_id=@category_id@"><b>Owner</b></a>
</if>
<else><b>Owner</b></else>
</td>
<td>&nbsp;</td>
<td><a href="../users/yp?user_id=@author_id@">@author_name@</a></td></tr>

<if @publisher_id@ not nil>
  <if @change_publisher_p@ eq 1>
    <tr><td align=right><a href="publisher-change?object_id=@object_id@&category_id=@category_id@"><b>Publisher</b></a></td>
  </if>
  <else>
    <tr><td align=right><b>Publisher</b></td>
  </else>
  <td>&nbsp;</td>
  <td><a href="../users/yp?user_id=@publisher_id@">@publisher_name@</a></td></tr>
</if>

<multiple name="display_object_data">
  <include src="km-display-question-answer" object_type_id="@object_type_id@" object_id="@display_object_data.object_id@" category_id="@category_id@" question_id="@display_object_data.question_id@" abstract_data_type="@display_object_data.abstract_data_type@" branch_p="@display_object_data.branch_p@" root_branch_p="@display_object_data.root_branch_p@" pretty_question="@display_object_data.pretty_question@" value="@display_object_data.value;noquote@" edit_p="@display_object_data.edit_p@">
</multiple>


<if @linked_objects@ ne "">
<tr><th align="right" valign="top">More Links</th><td>&nbsp;</td>
<td>
<include src="km-linked-object-list" user_id="@user_id@" object_id="@object_id@" category_id="@category_id@" linked_object_list="@linked_objects;noquote@">
</td></tr>
</if>

</table>

<if @archived_p@ eq 0>
  <center>
   <a href="comment-add?object_id=@object_id@&category_id=@category_id@&path_id=@path_id@">Give feedback</a>
  </center>
</if>

<p>
<if @comments:rowcount@ ne 0>
  <h3>Comments and Feedback</h3>
</if>

<multiple name=comments>
  <if @comments.display_p@ eq "1" or @admin_p@ eq "1" or @comments.comment_user_id@ eq @user_id@ or @author_id@ eq @user_id@>
    <blockquote>
    <if @comments.category@ not nil>
      <p><strong>@comments.category@</strong>
    </if>
    <if @comments.rating@ ne "-1" and @comments.rating@ not nil>
      (<nobr>@comments.rating@&nbsp;<img src="@subsite_url@images/@comments.rating_img@" alt="@comments.rating@" width="50" height="9"></nobr> feedback point<if @comments.rating@ ne 1>s</if> given)
    </if>
    <p>
    @comments.content;noquote@
    <p>
    -- <a href="../users/yp?user_id=@comments.comment_user_id@">@comments.commenter_name@</a>, @comments.comment_date@
    <if @comments.display_p@ eq "0">
      (<font color=red>Private</font>)
    </if>
    <if @admin_p@ eq "1">
        (<a href="comment-edit?comment_id=@comments.comment_id@&category_id=@category_id@&path_id=@path_id@">edit</a>)
        (<a href="comment-delete?comment_id=@comments.comment_id@&category_id=@category_id@&path_id=@path_id@">delete</a>)
    </if>
    <else>
      <if @archived_p@ eq 0 and @comments.comment_user_id@ eq @user_id@>
        (<a href="comment-edit?comment_id=@comments.comment_id@&category_id=@category_id@&path_id=@path_id@">edit</a>)
      </if>
    </else>
  </if>
  </blockquote>
</multiple>

<if @comments:rowcount@ ne 0 and @archived_p@ eq 0>
  <center>
  <a href="comment-add?object_id=@object_id@&category_id=@category_id@&path_id=@path_id@">Give feedback</a>
  </center>
</if>
</p>

</if>

<if @application_p@ eq 1 and @public_p@ eq 1 and @archived_p@ eq 0>
  <form method=get action="resource-application-add">
  <csrf-token>
  @application_form_vars;noquote@
  <center><input type=submit value="I Apply"></center>
  </form>
</if>

<if @read_only_child_p@ eq 0>
  <p><include src="object-view-toolbar" child_p="@child_p@" object_id="@object_id@" category_id="@category_id@" default="object_view">
</if>

<p>@object_access_toolbar;noquote@
