# Displays child object types

if {![info exists edit_p]} {
    set edit_p 0
}

if {![info exists category_id]} {
    set category_id ""
}

set user_id [ad_get_user_id]
set children [map km_get_object_summary [km_get_child_objects $object_id $question_id]]

if { $question_state != "read-only" || [km_conn admin_p] } {
    set show_button_p t
    set child_object_type_id [km_static question_target_object_type_id $question_id]
    set child_object_type_plural [km_static object_type_pretty_plural $child_object_type_id]
    set copy_p [km_static object_type_copy_p $child_object_type_id]
    set child_object_type [km_static object_type_pretty_name $child_object_type_id]
} else {
    set show_button_p f
}

