if {![info exists value]} {
    set value "" 
}

if {![info exists default_value]} {
    set default_value ""
}

if {![info exists height]} {
    set height ""
}

if {![info exists width]} {
    set width ""
}

if ![empty_string_p $value] {
    # A real value from the data is more important than the standard default value.
    set default_value $value
}

if { $question_state == "read-only" && ! [km_conn admin_p] } {
    set read_only_p t
    set formatted_value [util_make_href_and_mailto_links_and_convert_to_html $default_value]
} else {
    set read_only_p f
}
