if {![info exists value]} {
    set value "" 
}

if {![info exists default_value]} {
    set default_value ""
}

if {![info exists height]} {
    set height ""
}

if {![info exists width]} {
    set width ""
}

if {![info exists items]} {
    set items {}
}

if {![info exists item_values]} {
    set item_values {}
}

if {![info exists html_p]} {
    set html_p 0
}

if {![info exists other_value]} {
    set other_value ""
}

if {![info exists other_size]} {
    set other_size 40
}

if {![info exists other_maxlength]} {
    set other_maxlength 1000
}

if {![info exists mandatory_p]} {
    set mandatory_p f
}

if {![info exists other_value]} {
    set other_value ""
}

if {![empty_string_p $value]} {
    set default_value $value
}

if { $question_state == "read-only" && ! [km_conn admin_p]} {
    set read_only_p t
    switch $presentation_type {
        "select" -
        "radio" {
            set formatted_value [lindex $items [lsearch $item_values $default_value]]
	    if { [string equal [string toupper $formatted_value] "OTHER"] && ![empty_string_p $other_value] } {
		append formatted_value " ($other_value)"
	    }
        }
        "selectmultiple" -
        "checkbox" {
            set selected_items {}
            foreach value $default_value {
		set selected_value [lindex $items [lsearch $item_values $value]]
		if { [string equal [string toupper $selected_value] "OTHER"] && ![empty_string_p $other_value] } {
		    append selected_value " ($other_value)"
		}
                lappend selected_items $selected_value
            }
            set formatted_value [join $selected_items ", "]
        }
    }
} else {
    set read_only_p f
}
