ad_page_contract {
    /www/library/send-page-ref-3.tcl

    Actually send the HREF mail.

    @cvs-id $Id: send-page-ref-3.tcl,v 1.2 2005/03/01 00:01:15 jeffd Exp $
} {
    {page_url ""}
    object_id:notnull
    recipient:notnull
    user_id_from_search:notnull,integer
    subject:notnull
    body:notnull
}
csrf::authenticate

set user_id [auth::require_login]
if ![km_check_object_id $object_id] { return }

set sender [db_string send_page_ref_3_10 "select email from users where user_id=:user_id"]

db_dml send_page_ref_3_20 "insert into recommendations_log
  (sender_id, recipient_id, url, object_id, when)
  values (:user_id, :user_id_from_search, :page_url, :object_id, SYSDATE)"

if { [catch {ns_sendmail $recipient $sender $subject $body} errmsg] } {
    ns_log Warning "ns_sendmail failed in send-page-ref-3.tcl: $errmsg"

    ad_return_warning "Mail Error" \
	"Your mail could not be sent. Here is the error
	 message we got: <blockquote>$errmsg</blockquote>"
    return
}

ad_returnredirect $page_url
