ad_page_contract {
    /www/library/show-descriptions.tcl

    Show category descriptions.

    @cvs-id $Id: show-descriptions.tcl,v 1.1 2003/07/02 12:19:44 peterm Exp $
} {
    question_id:notnull,integer
} -properties {
    title:onevalue
    categories:multirow
}

set title "Category Descriptions"

template::multirow create categories item description

set node_id [db_string get_node_id_from_questions {
	select node_id from sn_questions where question_id  = :question_id
}]
set category_list [swc_get_category_tree $node_id 0 {}]

foreach category $category_list {
    util_unlist $category category_id name description
    if {[empty_string_p $description]} {
	set description "-"
    }
    template::multirow append categories $name $description
}

ad_return_template
