<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="playlist_info">      
      <querytext>
      
    select name, mp.playlist_id, nvl(sc.songs,0) as songs 
    from   acs_objects, mp3_playlists mp,
           mp3_playlist_song_count sc
    where object_id = mp.playlist_id
     and context_id = :package_id
     and mp.playlist_id = sc.playlist_id(+)
    order by name

      </querytext>
</fullquery>

 
<fullquery name="mp3_info">      
      <querytext>
      
select title, mp3_id, creation_date
from   (select title, mp3_id, creation_date
        from   mp3_mp3s_not_deleted, acs_objects
        where  mp3_id = object_id
        and    creation_date > sysdate - 1
        order by creation_date desc)
where  rownum < 10

      </querytext>
</fullquery>

 
</queryset>
