# 1. Run me to upgrade your alpha site.
# 2. Run me from within whichever package instance
#    you want your legacy photos to belong to.
# 3. I only work the first time!

set package_id [ad_conn package_id]

db_dml pa_401_alpha_beta_upgrade {
    update acs_objects
    set context_id = :package_id
    where object_id in (select folder_id from pa_v_folders
                        where context_id = 0)
}

ns_log Notice "photo-album-lite: upgrade-401a-401b modified [db_resultrows] rows"

set urlv [ad_conn urlv]
set last [expr [llength $urlv] - 3]

ad_returnredirect /[join [lrange $urlv 0 $last] /]
