<master>
<property name=title>Folders</property>

<if @mode@ eq "all">
<h2>All Folders</h2>
</if>
<else>
<h2>Folders <if @mode@ eq "mine">writable</if> by @person_name@</h2>
</else>

@context_bar@
<hr>

<table width="100%">
<tr valign=top><td>

<if @folder:rowcount@ eq 0>
  <ul>
  <li>Sorry, we can't find any folders created by you.
  <if @mode@ eq "mine">
   <if @writable:rowcount@ gt 0>
    <li>You can either create a new folder using the dialog box
        to the right, or add photos to someone else's folder.</if><else>
    <li>If you'd like to add photos, please start by creating <br>
      a new folder using the dialog box to the right.
   </else>
  </if>
  </ul>
</if><else>
 <if @mode@ eq "mine"><strong>Folders created by you:</strong></if>
</else>

<ul>
<multiple name=folder>
  <if @mode@ eq "mine">
    <li><nobr><a href="folder-view?folder_id=@folder.folder_id@">@folder.title@(@folder.photo_count@)</a></nobr><small> [ <a href="photo-add?folder_id=@folder.folder_id@">add</a> | <a href="folder-edit?folder_id=@folder.folder_id@&return_url=@return_url@">edit</a> | <a href="folder-delete?folder_id=@folder.folder_id@">delete</a> ]</small>
  </if>
  <else>
    <li><a href="folder-view?folder_id=@folder.folder_id@">@folder.title@(@folder.photo_count@)</a> by @folder.creator@ on @folder.pretty_creation_date@
  </else>
</multiple>

</ul>

<if @mode@ eq "mine">
<if @writable:rowcount@ gt 0>
<if @all_p@ eq 0>
<a href="folder-list?mode=mine&all_p=1">@writable:rowcount@ folders created by other users.</a></if><else>
<strong>Folders created by other users:</strong>
<small>[ <a href="folder-list?mode=mine&all_p=0">hide</a> ]</small>
<ul>
 <multiple name=writable>
    <li><nobr><a href="folder-view?folder_id=@writable.folder_id@">@writable.title@(@writable.photo_count@)</a></nobr>, <small> by <a href=folder-list?mode=user&pl_user_id=@writable.creation_user@>@writable.creator@</a> [ <a href="photo-add?folder_id=@writable.folder_id@">add</a> 
    <if @writable.admin_p@ gt 0> | <a href="folder-edit?folder_id=@writable.folder_id@&return_url=@return_url@">edit</a> | <a href="folder-delete?folder_id=@writable.folder_id@">delete</a></if> ]</small>
 </multiple>
</ul>
</else>
</if>
</if>

</td>
<if @mode@ eq "mine">
<td>
<include src="folder-ae" return_url="folder-list?mode=mine" heading="Create a new folder:" submit="Create" title="" descr="" default_prefix="">
</td>
</if>
</tr></table>
