ad_page_contract {
    Set the photo names or dates to the folder default.
} {
    folder_id:notnull,naturalnum
    mode:notnull
}

ad_require_permission $folder_id admin

switch $mode {
    date {
	db_dml pl_photo_date_update {
	    update pl_photos
            set exposure_date = (select default_exp_date
                                 from pl_folders
                                 where folder_id = :folder_id)
            where folder_id = :folder_id
	}
    }
    name {
	db_exec_plsql pl_photo_name_update {
begin
  for photo in (select photo_id as id from pl_v_photos
                where folder_id = :folder_id) loop
    pl_photo.apply_default_name(photo.id);
  end loop;
end;
        }
    }
}

ad_returnredirect folder-view?folder_id=$folder_id
