ad_page_contract {

    @author Andrew Grumet <aegrumet@arsdigita.com>
    @cvs-id $Id: photo-delete.tcl,v 1.2 2002/09/10 22:23:14 jeffd Exp $

    Confirm deletion of a photo.

} {
    photo_id:notnull,naturalnum
}

db_1row pl_photo_folder {
    select client_filename, folder_id,
           pl_photo.folder_title(:photo_id) as folder_title
    from pl_v_photos
    where photo_id = :photo_id
} 

set context_bar [ad_context_bar [list "folder-view?folder_id=$folder_id" $folder_title] [list "photo-view?photo_id=$photo_id" $client_filename] Delete]
