ad_page_contract {} {
    user_id:integer,notnull
    ticket_id:integer,notnull
    {action add}
}

ttl_restrict_to_ttl_users

set caller_id [ad_conn user_id]

if [string equal $action add] {

    db_dml insert_assignment {
        insert into ttl_assignments (user_id, ticket_id)
        select :user_id, :ticket_id
        from dual
        where not exists (select 1 from ttl_assignments
                          where user_id = :user_id
                          and ticket_id = :ticket_id)
    }

} else {

    db_dml delete_assignment {
        delete from ttl_assignments 
        where user_id = :user_id
        and ticket_id = :ticket_id
    }
}

ad_returnredirect ticket?ticket_id=$ticket_id
