<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="add_ticket">      
<querytext>
      
declare
  v_object_id     integer;
begin
  v_object_id := acs_object.new (
    object_id     => :ticket_id,
    object_type   => 'ticket_tracker_lite_ticket',
    creation_user => :caller_id,
    creation_ip   => :caller_ip,
    context_id    => :package_id
  );

  insert into ttl_tickets 
    (ticket_id, area_id, name, type, status, deadline, 
     message, message_format, priority) 
  values 
     (:ticket_id, :area_id, :name, :type, :status, :deadline_date, 
      :message, :message_format, :priority);
end;
    
</querytext>
</fullquery>

 
</queryset>
