ad_page_contract {} {
    ticket_id:integer,notnull
    name:trim,notnull
    message:trim,optional,allhtml
    message_format:trim,notnull
}

ttl_restrict_to_ttl_users

set caller_id  [ad_conn user_id]
set package_id [ad_conn package_id]
set caller_ip  [ns_conn peeraddr]

db_dml edit_ticket {
    begin
        update acs_objects set
            last_modified = sysdate,
            modifying_user = :caller_id,
            modifying_ip = :caller_ip
        where object_id = :ticket_id;

        update ttl_tickets set 
            name = :name,
            message = :message,
            message_format = :message_format
        where ticket_id = :ticket_id;
    end;
}

ad_returnredirect ticket?ticket_id=$ticket_id
