ad_page_contract {
    
    A page to update the deadline, status, and priority information

} {
    ticket_id:integer,notnull
    area_id:integer,notnull
    type:trim,optional
    status:trim,optional
    message:trim,optional
    priority:trim,optional
    deadline:date,array
}

ttl_restrict_to_ttl_users

set caller_id  [ad_conn user_id]
set caller_ip  [ns_conn peeraddr]
set package_id [ad_conn package_id]

set deadline_date $deadline(date)

db_dml update_ticket {
    begin
        update ttl_tickets set
            area_id = :area_id,
            type = :type,
            status = :status,
            deadline = :deadline_date,
            priority = :priority
        where ticket_id = :ticket_id;

        update acs_objects set
            last_modified = sysdate,
            modifying_user = :caller_id,
            modifying_ip = :caller_ip
        where object_id = :ticket_id;
    end;
}

ad_returnredirect ticket?ticket_id=$ticket_id
