<?xml version="1.0"?>
<queryset>

<fullquery name="ad_page_contract_filter_proc_ttracker_option_id.check_option_id">
<querytext>

select count(option_id) as id_valid_p
  from ttracker_options
  where option_id = :value and 
        package_id = :package_id
    
</querytext>
</fullquery>


<fullquery name="ad_page_contract_filter_proc_ttracker_task_id.check_task_id">      
<querytext>
      
select count(wt.task_id) as id_valid_p 
  from wf_tasks wt
  where exists (select wc.case_id
                  from wf_cases wc,
                       ttracker_tickets tt,
                       ttracker_categories tc 
                  where wt.case_id = wc.case_id
                    and wc.object_id = tt.ticket_id
                    and tt.category_id = tc.category_id
                    and tc.package_id = :package_id) 
    and wt.task_id = :value
    
</querytext>
</fullquery>

 
<fullquery name="ttracker_category_exists_p.check_category">      
      <querytext>
      
        select case when count(1) = 0 then 0 else 1 end
        from ttracker_categories
        where package_id = :package_id
    
      </querytext>
</fullquery>

 
</queryset>
