<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="duplicate_count">      
      <querytext>
      
            select count(*) as duplicate
              from dual
             where exists (select option_id
                             from ttracker_options 
                            where package_id = :package_id
                              and function = :function
                              and (value = :value or upper(name) = upper(:name)))
        
      </querytext>
</fullquery>

 
<fullquery name="add_option">      
      <querytext>
      
    begin
        ttracker_option.add_option (
            package_id => :package_id,
            function => :function,
            name => :name,
            value => :value
        );
    end;

      </querytext>
</fullquery>

 
</queryset>
