# /packages/ticket-tracker/www/admin/option-edit.tcl

ad_page_contract {
    Presents a form to edit an existing severity or priority name/value pair

    @author Phong Nguyen (phong@arsdigita.com)
    @author Tony Tseng (tony@arsdigita.com)
    @creation-date 2000-12-14
    @cvs-id $Id: option-edit.tcl,v 1.2 2002/09/06 06:57:05 jeffd Exp $
} {
    option_id:integer,ttracker_option_id
} -properties {
    context:onevalue
    page_title:onevalue
    name:onevalue
    value:onevalue
    submit:onevalue
    target:onevalue
    option_id:onevalue
    action_bar:onevalue
}

set package_id [ad_conn package_id]

db_1row option_select {
    select name,
           value,
           function
      from ttracker_options
     where option_id = :option_id
}



set context [list "Edit a $function option"]
set page_title "Edit a $function option"

set submit "Edit"
set target "option-edit-2"
set action_bar "\[ <a href=\"option-delete?[export_vars -url {option_id}]\">delete</a> \]"

ad_return_template "option-ae"
 
